 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.guimy.ctrls;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Insets;
import javax.swing.AbstractButton;
import javax.swing.ButtonModel;
import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.plaf.metal.MetalCheckBoxIcon;

public class ChkBoxMy extends JCheckBox {

    private int ignoreItemListIdx = 0;

    public ChkBoxMy(int x, int y, int w, int h,
            String txt, Font f, JPanel ownerPanel, String name,
            double xSc, double ySc) {
        super(txt);
        setBounds((int) (x * xSc), (int) (y * ySc), (int) (w * xSc), (int) (h * ySc));
        setFont(f);
        setMargin(new Insets(0, 0, 0, 0));
        setName(name);
        ownerPanel.add(this);
    }

    public boolean getIgnoreItemListIdx() {
        if (ignoreItemListIdx > 0) {
            ignoreItemListIdx--;
            return true;
        }
        return false;
    }

    public void setIgnoreItemListIdx(int idx) {
        ignoreItemListIdx = idx;
    }

    public static class CheckBoxIconMy extends MetalCheckBoxIcon {

        private int size;

        public CheckBoxIconMy(int s) {
            size = s;
        }

        @Override
        public void drawCheck(Component c, Graphics g, int x, int y) {
            Graphics2D g2 = (Graphics2D) g;
            G2DQual.q(g2, 1);
            g2.translate(x, y);
            ButtonModel m = ((AbstractButton) c).getModel();
            if (m.isSelected()) {
                g2.setColor(Color.BLACK);
                g2.drawLine(size / 4, size / 3, size / 4, size - size / 4);
                g2.drawLine(size / 4 + 1, size / 3, size / 4 + 1, size - size / 4 - 1);
                g2.drawLine(size / 4, size - size / 4, size - size / 4, size / 4);
                g2.drawLine(size / 4, size - size / 4 - 1, size - size / 4, size / 4 - 1);
            }
            g2.translate(-x, -y);
        }

        @Override
        protected int getControlSize() {
            return size;
        }
    }

    @Override
    protected void paintComponent(Graphics g) {
        Graphics2D g2d = (Graphics2D) g;
        G2DQual.q(g2d, 1);
        super.paintComponent(g);
    }
}
