 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.guimy.ctrls;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import javax.swing.AbstractButton;
import javax.swing.ButtonModel;
import javax.swing.Icon;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JMenu;

public class MenuChkMy extends JCheckBoxMenuItem {

    public MenuChkMy(String name, String text, Font fnt, JMenu menuOwner) {
        super(text);
        setFont(fnt);
        setName(name);
        setSelected(false);
        menuOwner.add(this);
    }

    public static class CheckBoxMenuItemIconMy implements Icon {

        private int size;

        public CheckBoxMenuItemIconMy(int s) {
            size = s;
        }

        @Override
        public void paintIcon(Component c, Graphics g, int x, int y) {
            Graphics2D g2 = (Graphics2D) g;
            g2.translate(x, y);
            ButtonModel m = ((AbstractButton) c).getModel();
            g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                    RenderingHints.VALUE_ANTIALIAS_ON);
            g2.setColor(Color.GRAY);
            g2.drawRect(0, 0, size, size);
            g2.setColor(Color.BLACK);
            if (m.isSelected()) {
                g2.drawLine(size / 4, size / 3, size / 4, size - size / 4);
                g2.drawLine(size / 4 + 1, size / 3, size / 4 + 1, size - size / 4 - 1);
                g2.drawLine(size / 4, size - size / 4, size - size / 4, size / 4);
                g2.drawLine(size / 4, size - size / 4 - 1, size - size / 4, size / 4 - 1);
            }
            g2.translate(-x, -y);
        }

        @Override
        public int getIconWidth() {
            return size;
        }

        @Override
        public int getIconHeight() {
            return size;
        }
    }

    @Override
    protected void paintComponent(Graphics g) {
        Graphics2D g2d = (Graphics2D) g;
        G2DQual.q(g2d, 1);
        super.paintComponent(g);
    }
}
