 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.guimy.ctrls;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Insets;
import javax.swing.AbstractButton;
import javax.swing.ButtonGroup;
import javax.swing.ButtonModel;
import javax.swing.Icon;
import javax.swing.JPanel;
import javax.swing.JRadioButton;

public class RadButMy extends JRadioButton {

    public RadButMy(int x, int y, int w, int h, String text,
            Font f, JPanel ownerPanel, String name, ButtonGroup butGrp,
            double xSc, double ySc) {
        super(text);
        setBounds((int) (x * xSc), (int) (y * ySc), (int) (w * xSc), (int) (h * ySc));
        setFont(f);
        setName(name);
        setMargin(new Insets(0, 0, 0, 0));
        butGrp.add(this);
        ownerPanel.add(this);
    }

    public static class RadButIconMy implements Icon {

        private int size;
        private int sizeSel;
        private int shift;

        public RadButIconMy(int s) {
            size = s;
            if (!(size % 2 == 0)) {
                size++;
            }
            sizeSel = (int) (size * 0.666);
            if (sizeSel % 2 == 0) {
                sizeSel++;
            }
            shift = (size - sizeSel) / 2 + 1;
        }

        @Override
        public void paintIcon(Component c, Graphics g, int x, int y) {
            Graphics2D g2 = (Graphics2D) g;
            g2.translate(x, y);
            ButtonModel m = ((AbstractButton) c).getModel();
            G2DQual.q(g2, 1);
            g2.setColor(Color.GRAY);
            g2.drawOval(0, 0, size, size);
            if (m.isSelected()) {
                g2.setColor(Color.BLACK);
                g2.fillOval(shift, shift, sizeSel, sizeSel);
            }
            g2.translate(-x, -y);
        }

        @Override
        public int getIconWidth() {
            return size;
        }

        @Override
        public int getIconHeight() {
            return size;
        }
    }

    @Override
    protected void paintComponent(Graphics g) {
        Graphics2D g2d = (Graphics2D) g;
        G2DQual.q(g2d, 1);
        super.paintComponent(g);
    }
}
