 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.guimy.ctrls;

import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.ScrollPaneConstants;

public class TabPaneMy extends JTabbedPane {

    private JScrollPane scrl = new JScrollPane(this);
    private int ignoreTabChngIdx = 0;

    public TabPaneMy(String name, Font f, TabMy tabs[]) {
        super();
        setName(name);
        setFont(f);
        int rows = tabs.length;
        for (int i = 0; i < rows; ++i) {
            add(tabs[i].getName(), tabs[i]);
        }
        scrl.setFont(f);
        scrl.setHorizontalScrollBarPolicy(
                ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS);
        scrl.setVerticalScrollBarPolicy(
                ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
    }

    public JScrollPane getScrl() {
        return scrl;
    }

    public void setIgnoreTabChngIdx(int idx) {
        ignoreTabChngIdx = idx;
    }

    public boolean getIgnoreTabChngIdx() {
        if (ignoreTabChngIdx > 0) {
            ignoreTabChngIdx--;
            return true;
        }
        return false;
    }

    @Override
    protected void paintComponent(Graphics g) {
        Graphics2D g2d = (Graphics2D) g;
        G2DQual.q(g2d, 1);
        super.paintComponent(g);
    }
}
