 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.guimy.ctrls;

import java.awt.Font;
import javax.swing.UIManager;
import javax.swing.plaf.FontUIResource;
import name.mgplldz.guimy.ctrls.ChkBoxMy.CheckBoxIconMy;
import name.mgplldz.guimy.ctrls.MenuChkMy.CheckBoxMenuItemIconMy;
import name.mgplldz.guimy.ctrls.RadButMy.RadButIconMy;

public class UIManagerSet {

    public static void set(Font fnt, double xSc, double ySc) {
        UIManager.put("CheckBox.icon", new CheckBoxIconMy((int) (15 * ySc)));
        UIManager.put("RadioButton.icon", new RadButIconMy((int) (14 * ySc)));
        UIManager.put("CheckBoxMenuItem.checkIcon",
                new CheckBoxMenuItemIconMy((int) (11 * ySc)));
        UIManager.put("RadioButtonMenuItem.checkIcon",
                new RadButIconMy((int) (11 * ySc)));
        UIManager.put("OptionPane.messageFont", fnt);
        UIManager.put("TextField.font", new FontUIResource(fnt));
        UIManager.put("TextArea.font", new FontUIResource(fnt));
        UIManager.put("Button.font", new FontUIResource(fnt));
        UIManager.put("ComboBox.font", new FontUIResource(fnt));
        UIManager.put("List.font", new FontUIResource(fnt));
        UIManager.put("ScrollBar.width", (int) (17 * ySc));
    }
}
