 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.guimy.listeners;

import java.awt.event.MouseWheelEvent;
import java.awt.event.MouseWheelListener;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import name.mgplldz.guimy.ctrls.SpinMy;

public class SpinChangeList implements ChangeListener, MouseWheelListener {

  public void stateChanged(ChangeEvent e) {
        setVal((SpinMy) e.getSource(), null);
    }

    public void mouseWheelMoved(MouseWheelEvent e) {
        SpinMy spi = (SpinMy) e.getSource();
        if (spi.getIgnoreSpinListFl()) {
            return;
        }
        setVal((SpinMy) e.getSource(), e);
    }

    private void setVal(SpinMy spin, MouseWheelEvent e) {
        int val = ((Integer) spin.getValue()).intValue()
                - ((e == null) ? 0 : e.getWheelRotation());
        if (val < spin.getMin()) {
            val = spin.getMin();
        }
        if (val > spin.getMax()) {
            val = spin.getMax();
        }
        spin.setValue(val);
    }
}
