 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui;

import name.mgplldz.guimy.ctrls.MsgBox;
import java.awt.Component;
import java.awt.Font;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
import name.mgplldz.guimy.ctrls.CmbMy;
import name.mgplldz.oood.gui.menu.series.lang.EnUsMSeries;
import name.mgplldz.oood.gui.menu.series.lang.LngMSeries;

public class CmbMyImpl extends CmbMy {

    public CmbMyImpl(int x, int y, int w, int h, Object items[],
            Font fnt, JPanel owner, String name, Component fr,
            double xSc, double ySc) {
        super(x, y, w, h, items, fnt, owner, name, fr, xSc, ySc);
    }

    @Override
    public String askForNewEntry(String oldEntry) {
        String newEntry = "";
        boolean nameExistsFl = true;
        boolean nameInvalidFl = true;
        boolean ok = false;
        while (!ok) {
//            newEntry = JOptionPane.showInputDialog(null, LngMSeries.text(
//                    EnUsMSeries.MSG_NEW_SERIES_NAME.name()), oldEntry);
            newEntry = new MsgBox().getStrTh(oldEntry,
                    LngMSeries.text(EnUsMSeries.MSG_NEW_SERIES_NAME.name()),
                    SwingUtilities.getRoot(this));
            if (newEntry != null) {
                if (nameInvalidFl = entryInvalid(newEntry)) {
                    MsgBox.msgPlainTh(LngMSeries.text(
                            EnUsMSeries.MSG_SERIES_NAME_EMPTY.name()),
                            SwingUtilities.getRoot(this),
                            JOptionPane.INFORMATION_MESSAGE);
                }
                if (nameExistsFl = entryExists(newEntry)) {
                    MsgBox.msgPlainTh(LngMSeries.text(
                            EnUsMSeries.MSG_SERIES_NAME_EXISTS.name())
                            + " [" + newEntry + "]",
                            SwingUtilities.getRoot(this),
                            JOptionPane.INFORMATION_MESSAGE);
                }
                ok = !nameInvalidFl && !nameExistsFl;
            } else {
                ok = true;
            }
        }
        return newEntry;
    }

    @Override
    public boolean entryExists(String entry) {
        ArrayList<String> lst = new ArrayList<String>();
        int rows = getItemCount();
        for (int i = 0; i < rows; ++i) {
            lst.add(getItemAt(i).toString());
        }
        return lst.contains(entry);
    }

    @Override
    public boolean entryInvalid(String entry) {
        if (entry.startsWith(" ")
                || entry.endsWith(" ")
                || entry.isEmpty()) {
            return true;
        }
        return false;
    }
}
