 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.frame;

import javax.swing.JFrame;
import javax.swing.ToolTipManager;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.menu.MenuBar;
import name.mgplldz.oood.gui.tab.TabPane;

public class Frame {

    private final GUI gui;
    public final JFrame frm;
    public TabPane tabPane;
    public MenuBar menuBar;
    private final ListWindowFocus windowFocusList;
    private final ListWindowResize windowResizeList;
    private final ListWindowExit windowExitList;

    public Frame(GUI g) {
        gui = g;
        frm = new JFrame("OOoDigitzer");
        frm.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        windowFocusList = new ListWindowFocus(gui);
        windowResizeList = new ListWindowResize(gui);
        windowExitList = new ListWindowExit();
        //JPopupMenu popMenu = popupMenuTabPane(fntNorm);
        //popMenu = popupMenuTabPane(fntNorm12);
        frm.pack();
        //frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
        ToolTipManager.sharedInstance().setInitialDelay(0);
        ToolTipManager.sharedInstance().setDismissDelay(5000);
    }

    public void setBarAndPane(MenuBar mb, TabPane tp) {
        tabPane = tp;
        menuBar = mb;
        frm.setContentPane(tabPane.pane.getScrl());
        frm.setJMenuBar(menuBar.bar);
    }

    public final void addListeners() {
        frm.addComponentListener(windowResizeList);
        frm.addWindowListener(windowExitList);
        frm.addWindowFocusListener(windowFocusList);
    }
}
