 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.frame;

import java.awt.event.ComponentEvent;
import name.mgplldz.guimy.listeners.WindowResizeList;
import name.mgplldz.oood.gui.GUI;

public class ListWindowResize extends WindowResizeList {

    private GUI gui;

    public ListWindowResize(GUI g) {
        gui = g;
    }

    @Override
    public void componentResized(ComponentEvent e) {
        int wNew = gui.frame.tabPane.pane.getScrl().getViewport().getSize().width
                - gui.frame.tabPane.tImage.imgPan.getScrollPane().getX()
                - gui.frame.tabPane.pane.getScrl().getVerticalScrollBar().getWidth();
        int hNew = gui.frame.tabPane.pane.getScrl().getViewport().getSize().height
                - gui.frame.tabPane.tImage.imgPan.getScrollPane().getY()
                - gui.frame.tabPane.pane.getScrl().getHorizontalScrollBar().getHeight()
                - gui.frame.menuBar.bar.getHeight();
        wNew = wNew < gui.frame.tabPane.tImage.getImgPanW()
                ? gui.frame.tabPane.tImage.getImgPanW()
                : wNew;
        hNew = hNew < gui.frame.tabPane.tImage.getImgPanH()
                ? gui.frame.tabPane.tImage.getImgPanH()
                : hNew;
        gui.frame.tabPane.tImage.imgPan.getScrollPane().setSize(wNew, hNew);
        gui.frame.tabPane.tImage.imgPan.getScrollPane().getHorizontalScrollBar().repaint();
        gui.frame.tabPane.tImage.imgPan.getScrollPane().getVerticalScrollBar().repaint();
    }

    @Override
    public void componentMoved(ComponentEvent e) {
    }

    @Override
    public void componentShown(ComponentEvent e) {
    }

    @Override
    public void componentHidden(ComponentEvent e) {
    }
}
