 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu;

import javax.swing.JMenuBar;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.menu.about.MAbout;
import name.mgplldz.oood.gui.menu.draw.MDraw;
import name.mgplldz.oood.gui.menu.image.MImage;
import name.mgplldz.oood.gui.menu.interp.MInterp;
import name.mgplldz.oood.gui.menu.axes.MAxes;
import name.mgplldz.oood.gui.menu.series.MSeries;
import name.mgplldz.oood.gui.menu.settings.MSettings;

public class MenuBar {

    private final GUI gui;
    public final JMenuBar bar;
    public final MImage menuImage;
    public final MAxes menuScale;
    public final MSeries menuSeries;
    public final MInterp menuInterp;
    public final MDraw menuDraw;
    public final MSettings menuSettings;
    public final MAbout menuAbout;

    public MenuBar(GUI g) {
        gui = g;
        bar = new JMenuBar();
        menuImage = new MImage(gui);
        menuScale = new MAxes(gui);
        menuSeries = new MSeries(gui);
        menuInterp = new MInterp(gui);
        menuDraw = new MDraw(gui);
        menuSettings = new MSettings(gui);
        menuAbout = new MAbout(gui);
        bar.add(menuImage.menu);
        bar.add(menuScale.menu);
        bar.add(menuSeries.menu);
        bar.add(menuInterp.menu);
        bar.add(menuDraw.menu);
        bar.add(menuSettings.menu);
        bar.add(menuAbout.menu);
    }
}
