 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.axes;

import name.mgplldz.oood.gui.menu.axes.lang.*;
import javax.swing.ButtonGroup;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;

public class MAxes {

    private final GUI gui;
    public final MenuMy menu;
    private final ButtonGroup radButGrpCartesPolar;
    public final MenuRBMy rbPolar;
    public final MenuRBMy rbCartesian;
    private final ButtonGroup butGrpXOpt;
    public final MenuRBMy rbXNorm;
    public final MenuRBMy rbXLog10;
    public final MenuRBMy rbXDateHHMMSS;
    public final MenuRBMy rbXDateYYYYMMDD;
    private final ButtonGroup butGrpYOpt;
    public final MenuRBMy rbYNorm;
    public final MenuRBMy rbYLog10;
    public final MenuChkMy chkClockwise;
    private final ListMenuActMAxes menuActList;
    private final ListMenuItMAxes menuItemList;

    public MAxes(GUI g) {
        gui = g;
        menu = new MenuMy(LngMAxes.Text(EnUsMAxes.M_AXES.name()),
                ItAxes.M_AXES.name(), gui.getFnt());
        radButGrpCartesPolar = new ButtonGroup();
        rbCartesian =
                new MenuRBMy(ItAxes.RB_CARTESIAN.name(),
                LngMAxes.Text(EnUsMAxes.RB_CARTESIAN.name()),
                radButGrpCartesPolar, gui.getFnt(), menu);
        menu.addSeparator();
        butGrpXOpt = new ButtonGroup();
        rbXNorm =
                new MenuRBMy(ItAxes.RB_X_NORM.name(),
                LngMAxes.Text(EnUsMAxes.RB_X_NORM.name()),
                butGrpXOpt, gui.getFnt(), menu);
        rbXLog10 =
                new MenuRBMy(ItAxes.RB_X_LOG_10.name(),
                LngMAxes.Text(EnUsMAxes.RB_X_LOG_10.name()),
                butGrpXOpt, gui.getFnt(), menu);
        rbXDateHHMMSS =
                new MenuRBMy(ItAxes.RB_X_DATE_HHMMSS.name(),
                LngMAxes.Text(EnUsMAxes.RB_X_DATE_HHMMSS.name()),
                butGrpXOpt, gui.getFnt(), menu);
        rbXDateYYYYMMDD =
                new MenuRBMy(ItAxes.RB_X_DATE_YYYYMMDD.name(),
                LngMAxes.Text(EnUsMAxes.RB_X_DATE_YYYYMMDD.name()),
                butGrpXOpt, gui.getFnt(), menu);
        menu.addSeparator();
        butGrpYOpt = new ButtonGroup();
        rbYNorm =
                new MenuRBMy(ItAxes.RB_Y_NORM.name(),
                LngMAxes.Text(EnUsMAxes.RB_Y_NORM.name()),
                butGrpYOpt, gui.getFnt(), menu);
        rbYLog10 =
                new MenuRBMy(ItAxes.RB_Y_LOG_10.name(),
                LngMAxes.Text(EnUsMAxes.RB_Y_LOG_10.name()),
                butGrpYOpt, gui.getFnt(), menu);
        menu.addSeparator();
        menu.addSeparator();
        rbPolar = new MenuRBMy(ItAxes.RB_POLAR.name(),
                LngMAxes.Text(EnUsMAxes.RB_POLAR.name()),
                radButGrpCartesPolar, gui.getFnt(), menu);
        radButGrpCartesPolar.add(rbPolar);
        menu.addSeparator();
        chkClockwise = new MenuChkMy(ItAxes.CHK_CLOCKWISE.name(),
                LngMAxes.Text(EnUsMAxes.CHK_CLOCKWISE.name()),
                gui.getFnt(), menu);
        menuActList = new ListMenuActMAxes(gui);
        menuItemList = new ListMenuItMAxes(gui);
    }

    public final void addListeners() {
        rbPolar.addItemListener(menuItemList);
        rbCartesian.addItemListener(menuItemList);
        chkClockwise.addItemListener(menuItemList);
        rbXNorm.addActionListener(menuActList);
        rbXLog10.addActionListener(menuActList);
        rbXDateHHMMSS.addActionListener(menuActList);
        rbXDateYYYYMMDD.addActionListener(menuActList);
        rbYNorm.addActionListener(menuActList);
        rbYLog10.addActionListener(menuActList);

    }
}
