 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.draw;

import name.mgplldz.oood.gui.menu.draw.lang.EnUsMDraw;
import name.mgplldz.guimy.ctrls.MsgBox;
import java.awt.event.ActionEvent;
import java.util.ArrayList;
import javax.swing.ImageIcon;
import javax.swing.JMenuItem;
import name.mgplldz.guimy.listeners.MenuActList;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.menu.draw.lang.LngMDraw;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListMenuActMDraw extends MenuActList {

    private final GUI gui;
    private final Integer sizes[];
    private final int DBG_LEV = 3;

    public ListMenuActMDraw(GUI g) {
        gui = g;
        ArrayList<Integer> sz = new ArrayList<Integer>();
        for (int i = 0; i < 100; ++i) {
            if (i == 0 || (i + 1) % 2 == 0) {
                sz.add(i);
            }
        }
        sizes = new Integer[sz.size()];
        sz.toArray(sizes);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        JMenuItem mIt = (JMenuItem) e.getSource();
        TraceMyStack.print(Thread.currentThread().getStackTrace(), mIt.getName(),
                DBG_LEV);
        ItDraw mEn = ItDraw.valueOf(mIt.getName());
        switch (mEn) {

            case IT_PT_SIZE:
                ptSize(mIt);
                break;
            case IT_LINE_WIDTH:
                lineWidth(mIt);
                break;
            case IT_POINTER_TYPE:
                mousePtrType();
                break;
            case IT_POINTER_COLOR:
                mousePtrCol();
                break;
            default:
                break;
        }
    }

    /*
     *  private
     */
    private void ptSize(JMenuItem mIt) {
        Integer oldSize = gui.frame.tabPane.tImage.imgPan.getPtSize();
        Integer size = (Integer) new MsgBox().msgCmbTh(
                LngMDraw.text(EnUsMDraw.MSG_PT_SIZE.name()),
                sizes, oldSize, gui.frame.frm);
        mIt.setText(LngMDraw.text(EnUsMDraw.IT_PT_SIZE.name())
                + " [" + size.toString() + "]");
        gui.frame.tabPane.tImage.imgPan.setPtSize(size);
        gui.frame.tabPane.tImage.imgPan.repaint();
    }

    private void lineWidth(JMenuItem mIt) {
        Integer oldWidth = gui.frame.tabPane.tImage.imgPan.getLineWidth();
        Integer width = (Integer) new MsgBox().msgCmbTh(
                LngMDraw.text(EnUsMDraw.MSG_LINE_WIDTH.name()),
                sizes, oldWidth, gui.frame.frm);
        mIt.setText(LngMDraw.text(EnUsMDraw.IT_LINE_WIDTH.name())
                + " [" + width.toString() + "]");
        gui.frame.tabPane.tImage.imgPan.setLineWidth(width);
        gui.frame.tabPane.tImage.imgPan.repaint();
    }

    private void mousePtrType() {
        ImageIcon ico = (ImageIcon) new MsgBox().msgCmbTh(
                LngMDraw.text(EnUsMDraw.MSG_MOUSE_POINTERS.name()),
                gui.frame.tabPane.tImage.imgPan.getPtrsIcos(),
                gui.frame.tabPane.tImage.imgPan.getPtrsIcos()[gui.frame.tabPane.tImage.imgPan.getChoosenPointerIdx()],
                gui.frame.frm);
        gui.frame.tabPane.tImage.imgPan.setPointerAndIcoByIdx(
                gui.frame.tabPane.tImage.imgPan.getPointerIdxByIco(ico));
    }

    private void mousePtrCol() {
        gui.frame.tabPane.tImage.imgPan.setPointerColor();
        gui.frame.tabPane.tImage.imgPan.setPointerAndIcoByIdx(
                gui.frame.tabPane.tImage.imgPan.getChoosenPointerIdx());
    }
}
