 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.draw;

import java.awt.event.ItemEvent;
import javax.swing.JMenuItem;
import name.mgplldz.guimy.listeners.MenuItList;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListMenuItMDraw extends MenuItList {

    private final GUI gui;
    private final int DBG_LEV = 3;

    public ListMenuItMDraw(GUI g) {
        gui = g;
    }

    @Override
    public void itemStateChanged(ItemEvent e) {
        JMenuItem source = (JMenuItem) (e.getSource());
        ItDraw menuEnum =
                ItDraw.valueOf(source.getName());
        boolean selectedFl = (e.getStateChange() == ItemEvent.SELECTED) ? true : false;
        TraceMyStack.print(Thread.currentThread().getStackTrace(),
                source.getName() + " selected: " + selectedFl, DBG_LEV);
        switch (menuEnum) {
            case CHK_DRAW_ALL_SERIES:
                gui.frame.tabPane.tImage.imgPan.setDrawAllSeriesFl(selectedFl);
                break;
            case CHK_DRAW_PTS:
                if (!selectedFl
                        && !gui.frame.menuBar.menuDraw.chkDrawLines.isSelected()) {
                    gui.frame.menuBar.menuDraw.chkDrawLines.setSelected(true);
                }
                gui.frame.tabPane.tImage.imgPan.setDrawPointsFl(selectedFl);
                break;
            case CHK_DRAW_LINES:
                if (!selectedFl
                        && !gui.frame.menuBar.menuDraw.chkDrawPts.isSelected()) {
                    gui.frame.menuBar.menuDraw.chkDrawPts.setSelected(true);
                }
                gui.frame.tabPane.tImage.imgPan.setDrawLinesFl(selectedFl);
                break;
            case CHK_DRAW_AXES:
                gui.frame.tabPane.tImage.imgPan.setDrawScaleFl(selectedFl);
                break;
            case CHK_DRAW_IMAGE:
                gui.frame.tabPane.tImage.imgPan.setDrawImageFl(selectedFl);
                break;
            default:
                break;
        }
    }
}
//DefaultFormatterFactory dff =
//new DefaultFormatterFactory(
//new DateFormatter(new SimpleDateFormat("HH:mm:ss")));
//gui.tScale.TxtXAxisP1XGraph.setFormatterFactory(dff);

