 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.draw;

import name.mgplldz.oood.gui.menu.draw.lang.*;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;

public class MDraw {

    private final GUI gui;
    public final MenuMy menu;
    public final MenuChkMy chkDrawPts;
    public final MenuChkMy chkDrawLines;
    public final MenuChkMy chkDrawAllSeries;
    public final MenuChkMy chkDrawScale;
    public final MenuChkMy chkDrawImage;
    public final MenuItMy itPtSize;
    public final MenuItMy itLineWidth;
    public final MenuItMy itPointerType;
    public final MenuItMy itPointerColor;
    private final ListMenuActMDraw menuActList;
    private final ListMenuItMDraw menuItemList;

    public MDraw(GUI g) {
        gui = g;
        menu = new MenuMy(LngMDraw.text(EnUsMDraw.M_DRAW.name()),
                ItDraw.M_DRAW.name(), gui.getFnt());
        chkDrawPts = new MenuChkMy(ItDraw.CHK_DRAW_PTS.toString(),
                LngMDraw.text(EnUsMDraw.CHK_DRAW_PTS.name()),
                gui.getFnt(), menu);
        chkDrawLines = new MenuChkMy(ItDraw.CHK_DRAW_LINES.name(),
                LngMDraw.text(EnUsMDraw.CHK_DRAW_LINES.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        chkDrawAllSeries = new MenuChkMy(ItDraw.CHK_DRAW_ALL_SERIES.name(),
                LngMDraw.text(EnUsMDraw.CHK_DRAW_ALL_SERIES.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        chkDrawScale = new MenuChkMy(ItDraw.CHK_DRAW_AXES.toString(),
                LngMDraw.text(EnUsMDraw.CHK_DRAW_AXES.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        chkDrawImage = new MenuChkMy(ItDraw.CHK_DRAW_IMAGE.toString(),
                LngMDraw.text(EnUsMDraw.CHK_DRAW_IMAGE.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        itPtSize = new MenuItMy(ItDraw.IT_PT_SIZE.name(),
                LngMDraw.text(EnUsMDraw.IT_PT_SIZE.name()),
                gui.getFnt(), menu);
        itLineWidth = new MenuItMy(ItDraw.IT_LINE_WIDTH.name(),
                LngMDraw.text(EnUsMDraw.IT_LINE_WIDTH.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        itPointerType = new MenuItMy(ItDraw.IT_POINTER_TYPE.name(),
                LngMDraw.text(EnUsMDraw.IT_POINTER_TYPE.name()),
                gui.getFnt(), menu);
        itPointerColor = new MenuItMy(ItDraw.IT_POINTER_COLOR.name(),
                LngMDraw.text(EnUsMDraw.IT_POINTER_COLOR.name()),
                gui.getFnt(), menu);
        menuActList = new ListMenuActMDraw(gui);
        menuItemList = new ListMenuItMDraw(gui);
    }

    public final void addListeners() {
        chkDrawPts.addItemListener(menuItemList);
        chkDrawLines.addItemListener(menuItemList);
        chkDrawAllSeries.addItemListener(menuItemList);
        chkDrawScale.addItemListener(menuItemList);
        chkDrawImage.addItemListener(menuItemList);
        itPtSize.addActionListener(menuActList);
        itLineWidth.addActionListener(menuActList);
        itPointerType.addActionListener(menuActList);
        itPointerColor.addActionListener(menuActList);
    }
}
