 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.image;

import name.mgplldz.oood.gui.menu.image.lang.*;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;

public class MImage {

    private final GUI gui;
    public final MenuMy menu;
    public final MenuItMy itImgLoad;
    public final MenuItMy itImgLoadClipboard;
    public final MenuItMy itImgReload;
    public final MenuItMy itImgSave;
    private final ListMenuActMImage menuActList;

    public MImage(GUI g) {
        gui = g;
        menu = new MenuMy(LngMImage.text(EnUsMImage.M_IMAGE.name()),
                ItImage.M_IMAGE.name(), gui.getFnt());
        itImgLoad = new MenuItMy(ItImage.IT_IMG_LOAD.name(),
                LngMImage.text(EnUsMImage.IT_IMG_LOAD.name()),
                gui.getFnt(), menu);
        itImgLoadClipboard = new MenuItMy(ItImage.IT_IMG_LOAD_CLIPBOARD.name(),
                LngMImage.text(EnUsMImage.IT_IMG_CLIPBOARD.name()),
                gui.getFnt(), menu);
        itImgReload = new MenuItMy(ItImage.IT_IMG_RELOAD.name(),
                LngMImage.text(EnUsMImage.IT_IMG_RELOAD.name()),
                gui.getFnt(), menu);
        itImgSave = new MenuItMy(ItImage.IT_IMG_SAVE.name(),
                LngMImage.text(EnUsMImage.IT_IMG_SAVE.name()),
                gui.getFnt(), menu);
        menuActList = new ListMenuActMImage(gui);
    }

    public final void addListeners() {
        itImgLoad.addActionListener(menuActList);
        itImgLoadClipboard.addActionListener(menuActList);
        itImgReload.addActionListener(menuActList);
        itImgSave.addActionListener(menuActList);
    }
}
