 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.interp;

import name.mgplldz.oood.gui.menu.interp.lang.*;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;

public class MInterp {

    private final GUI gui;
    public final MenuMy menu;
    public final MenuItMy itInterp;
    public final MenuItMy itMergePts;
    public final MenuItMy itDiscardPts;
    public final MenuItMy itMorePts;
    private final ListMenuActMInterp menuActList;

    public MInterp(GUI g) {
        gui = g;
        menu = new MenuMy(LngMInterp.text(EnUsMInterp.M_INTERP.name()),
                ItInterp.M_INTERP.name(), gui.getFnt());
        itInterp = new MenuItMy(ItInterp.IT_INTERP.name(),
                LngMInterp.text(EnUsMInterp.IT_INTEPOLATE.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        itMergePts = new MenuItMy(ItInterp.IT_MERGE_PTS.name(),
                LngMInterp.text(EnUsMInterp.IT_MERGE_PTS.name()),
                gui.getFnt(), menu);
        itDiscardPts = new MenuItMy(ItInterp.IT_DISCARD_PTS.name(),
                LngMInterp.text(EnUsMInterp.IT_DISCARD_PTS.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        itMorePts = new MenuItMy(ItInterp.IT_MORE_PTS.name(),
                LngMInterp.text(EnUsMInterp.IT_MORE_PTS.name()),
                gui.getFnt(), menu);
        menuActList = new ListMenuActMInterp(gui);
    }

    public final void addListeners() {
        itInterp.addActionListener(menuActList);
        itMergePts.addActionListener(menuActList);
        itDiscardPts.addActionListener(menuActList);
        itMorePts.addActionListener(menuActList);
    }
}
