 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.series;

import name.mgplldz.oood.gui.menu.series.lang.*;
import javax.swing.ButtonGroup;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;

public class MSeries {

    private final GUI gui;
    public final MenuMy menu;
    public final MenuItMy itAddSeries;
    public final MenuItMy itRenameSeries;
    public final MenuItMy itDelSeries;
    public final MenuItMy itDelAllSeries;
    public final MenuItMy itRemoveDuplicates;
    public final MenuItMy itXName;
    public final MenuItMy itYName;
    public final MenuItMy itXNameAll;
    public final MenuItMy itYNameAll;
    private final ButtonGroup butGrpSaveSeriesOffice;
    public final MenuItMy itSaveSeriesOffice;
    public final MenuRBMy rbSaveSeriesOneSheet;
    public final MenuRBMy rbSaveSeriesOneSheetPerSeries;
    private final ButtonGroup butGrpSaveSeriesCSV;
    public final MenuItMy rbSaveSeriesCSV;
    public final MenuRBMy rbSaveSeriesMultiColCSV;
    public final MenuRBMy rbSaveSeriesOneColCSV;
    public final MenuRBMy rbSaveSeriesOneFilePerSeriesCSV;
    private final ListMenuActMSeries menuActList;

    public MSeries(GUI g) {
        gui = g;
        menu = new MenuMy(LngMSeries.text(EnUsMSeries.M_SERIES.name()),
                ItmsMSeries.M_SERIES.name(), gui.getFnt());
        itAddSeries = new MenuItMy(ItmsMSeries.IT_ADD_SERIES.name(),
                LngMSeries.text(EnUsMSeries.IT_ADD_SERIES.name()),
                gui.getFnt(), menu);
        itRenameSeries =
                new MenuItMy(ItmsMSeries.IT_RENAME_SERIES.name(),
                LngMSeries.text(EnUsMSeries.IT_RENAME_SERIES.name()),
                gui.getFnt(), menu);
        itDelSeries = new MenuItMy(ItmsMSeries.IT_DEL_SERIES.name(),
                LngMSeries.text(EnUsMSeries.IT_DEL_SERIES.name()),
                gui.getFnt(), menu);
        itDelAllSeries =
                new MenuItMy(ItmsMSeries.IT_DEL_ALL_SERIES.name(),
                LngMSeries.text(EnUsMSeries.IT_DEL_ALL_SERIES.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        itRemoveDuplicates =
                new MenuItMy(ItmsMSeries.IT_REMOVE_DUPLICATES.name(),
                LngMSeries.text(EnUsMSeries.IT_DELETE_DUPLICATES.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        itXName = new MenuItMy(ItmsMSeries.IT_X_NAME.name(),
                LngMSeries.text(EnUsMSeries.IT_X_NAME_CARTES.name()),
                gui.getFnt(), menu);
        itYName = new MenuItMy(ItmsMSeries.IT_Y_NAME.name(),
                LngMSeries.text(EnUsMSeries.IT_Y_NAME_CARTES.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        itXNameAll = new MenuItMy(ItmsMSeries.IT_X_NAME_ALL.name(),
                LngMSeries.text(EnUsMSeries.IT_X_NAME_ALL_CARTES.name()),
                gui.getFnt(), menu);
        itYNameAll = new MenuItMy(ItmsMSeries.IT_Y_NAME_ALL.name(),
                LngMSeries.text(EnUsMSeries.IT_Y_NAME_ALL_CARTES.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        butGrpSaveSeriesOffice = new ButtonGroup();
        itSaveSeriesOffice =
                new MenuItMy(ItmsMSeries.IT_SAVE_SERIES_OFFICE.name(),
                LngMSeries.text(EnUsMSeries.IT_SAVE_SERIES_OFFICE.name()),
                gui.getFnt(), menu);
        rbSaveSeriesOneSheet = new MenuRBMy(
                ItmsMSeries.RB_SAVE_SERIES_ONE_SHEET.name(),
                LngMSeries.text(EnUsMSeries.RB_SAVE_SERIES_ONE_SHEET.name()),
                butGrpSaveSeriesOffice, gui.getFnt(), menu);
        rbSaveSeriesOneSheetPerSeries = new MenuRBMy(
                ItmsMSeries.RB_SAVE_SERIES_ONE_SHEET_PER_SERIES.name(),
                LngMSeries.text(
                EnUsMSeries.RB_SAVE_SERIES_ONE_SHEET_PER_SERIES.name()),
                butGrpSaveSeriesOffice, gui.getFnt(), menu);
        menu.addSeparator();
        butGrpSaveSeriesCSV = new ButtonGroup();
        rbSaveSeriesCSV = new MenuItMy(
                ItmsMSeries.IT_SAVE_SERIES_CSV.name(),
                LngMSeries.text(EnUsMSeries.IT_SAVE_SERIES_CSV.name()),
                gui.getFnt(), menu);
        rbSaveSeriesMultiColCSV = new MenuRBMy(
                ItmsMSeries.RB_SAVE_SERIES_MULTI_COL_CSV.name(),
                LngMSeries.text(
                ItmsMSeries.RB_SAVE_SERIES_MULTI_COL_CSV.name()),
                butGrpSaveSeriesCSV, gui.getFnt(), menu);
        rbSaveSeriesOneColCSV = new MenuRBMy(
                ItmsMSeries.RB_SAVE_SERIES_ONE_COL_CSV.name(),
                LngMSeries.text(
                ItmsMSeries.RB_SAVE_SERIES_ONE_COL_CSV.name()),
                butGrpSaveSeriesCSV, gui.getFnt(), menu);
        rbSaveSeriesOneFilePerSeriesCSV = new MenuRBMy(
                ItmsMSeries.RB_SAVE_SERIES_ONE_FILE_PER_SERIES_CSV.name(),
                LngMSeries.text(
                ItmsMSeries.RB_SAVE_SERIES_ONE_FILE_PER_SERIES_CSV.name()),
                butGrpSaveSeriesCSV, gui.getFnt(), menu);
        menuActList = new ListMenuActMSeries(gui);
    }

    public final void addListeners() {
        itAddSeries.addActionListener(menuActList);
        itRenameSeries.addActionListener(menuActList);
        itDelSeries.addActionListener(menuActList);
        itDelAllSeries.addActionListener(menuActList);
        itRemoveDuplicates.addActionListener(menuActList);
        itXName.addActionListener(menuActList);
        itYName.addActionListener(menuActList);
        itXNameAll.addActionListener(menuActList);
        itYNameAll.addActionListener(menuActList);
        itSaveSeriesOffice.addActionListener(menuActList);
        rbSaveSeriesOneSheet.addActionListener(menuActList);
        rbSaveSeriesOneSheetPerSeries.addActionListener(menuActList);
        rbSaveSeriesCSV.addActionListener(menuActList);
        rbSaveSeriesMultiColCSV.addActionListener(menuActList);
        rbSaveSeriesOneColCSV.addActionListener(menuActList);
        rbSaveSeriesOneFilePerSeriesCSV.addActionListener(menuActList);
    }
}
