 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.settings;

import name.mgplldz.oood.gui.menu.settings.lang.EnUsMSettings;
import name.mgplldz.guimy.ctrls.MsgBox;
import java.awt.event.ActionEvent;
import java.util.ArrayList;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import name.mgplldz.guimy.listeners.MenuActList;
import name.mgplldz.oood.gui.ConfigGUI.ConfigGUIFileWriteException;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.menu.settings.lang.LngMSettings;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListMenuActMSettings extends MenuActList {

    private final GUI gui;
    private final Integer sizes[];
    private final int DBG_LEV = 3;

    public ListMenuActMSettings(GUI g) {
        gui = g;
        ArrayList<Integer> sz = new ArrayList<Integer>();
        for (int i = 1; i < 100; ++i) {
            sz.add(i);
        }
        sizes = new Integer[sz.size()];
        sz.toArray(sizes);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        JMenuItem mIt = (JMenuItem) e.getSource();
        TraceMyStack.print(Thread.currentThread().getStackTrace(), mIt.getName(),
                DBG_LEV);
        ItSettings mEn = ItSettings.valueOf(mIt.getName());
        switch (mEn) {
            case IT_FONT_SIZE:
                fntSize();
                break;
            case IT_WIDTH_SCALE:
                xScale();
                break;
            case IT_HEIGHT_SCALE:
                yScale();
                break;
            default:
                break;
        }
    }

    /*
     *  private
     */
    private void fntSize() {
        Integer old = gui.getFntSize();
        Integer valFS = (Integer) new MsgBox().msgCmbTh(
                LngMSettings.text(EnUsMSettings.MSG_FONT_SIZE.name()),
                sizes, old, gui.frame.frm);
        if (valFS == null || valFS.equals(old)) {
            return;
        }
        gui.setFntSize(valFS);
        gui.frame.menuBar.menuSettings.itFontSize.setText(
                LngMSettings.text(EnUsMSettings.IT_FONT_SIZE.name())
                + " [" + gui.getFntSize() + "]");
        try {
            gui.confGUI.setValues(gui.getFntSize(), gui.getXSc(), gui.getYSc());
            MsgBox.msgPlainTh(LngMSettings.text(
                    EnUsMSettings.MSG_RESTART.name()) + "\n"
                    + "[" + gui.confGUI.getFilePath() + "]",
                    gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        } catch (ConfigGUIFileWriteException ex) {
            MsgBox.msgPlainTh(LngMSettings.text(
                    EnUsMSettings.MSG_CANT_WRITE_CONFI_FILE.name())
                    + "\n" + gui.confGUI.getFilePath(), gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        }
    }

    private void xScale() {
        Double valXS = new MsgBox().getDblTh(gui.getXSc(), LngMSettings.text(
                EnUsMSettings.MSG_WIDTH_SCALE.name()), gui.frame.frm);
        if (valXS == null) {
            return;
        }
        gui.setXSc(valXS);
        gui.frame.menuBar.menuSettings.itWidthScale.setText(
                LngMSettings.text(EnUsMSettings.IT_WIDTH_SCALE.name())
                + " [" + gui.getXSc() + "]");
        try {
            gui.confGUI.setValues(gui.getFntSize(), gui.getXSc(), gui.getYSc());
            MsgBox.msgPlainTh(LngMSettings.text(
                    EnUsMSettings.MSG_RESTART.name()) + "\n"
                    + "[" + gui.confGUI.getFilePath() + "]",
                    gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        } catch (ConfigGUIFileWriteException ex) {
            MsgBox.msgPlainTh(LngMSettings.text(
                    EnUsMSettings.MSG_CANT_WRITE_CONFI_FILE.name())
                    + "\n" + gui.confGUI.getFilePath(), gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        }
    }

    private void yScale() {
        Double valYS = new MsgBox().getDblTh(gui.getYSc(), LngMSettings.text(
                EnUsMSettings.MSG_HEIGHT_SCALE.name()), gui.frame.frm);
        if (valYS == null) {
            return;
        }
        gui.setYSc(valYS);
        gui.frame.menuBar.menuSettings.itHeightScale.setText(
                LngMSettings.text(EnUsMSettings.IT_HEIGHT_SCALE.name())
                + " [" + gui.getYSc() + "]");
        try {
            gui.confGUI.setValues(gui.getFntSize(), gui.getXSc(), gui.getYSc());
            MsgBox.msgPlainTh(LngMSettings.text(
                    EnUsMSettings.MSG_RESTART.name()) + "\n"
                    + "[" + gui.confGUI.getFilePath() + "]",
                    gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        } catch (ConfigGUIFileWriteException ex) {
            MsgBox.msgPlainTh(LngMSettings.text(
                    EnUsMSettings.MSG_CANT_WRITE_CONFI_FILE.name())
                    + "\n" + gui.confGUI.getFilePath(), gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        }
    }
}
