 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.settings;

import name.mgplldz.oood.gui.menu.settings.lang.*;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;

public class MSettings {

    private final GUI gui;
    public final MenuMy menu;
    public final MenuItMy itFontSize;
    public final MenuItMy itWidthScale;
    public final MenuItMy itHeightScale;
    public final MenuChkMy chkAlwaysOnTop;
    public final MenuChkMy chkToolTips;
    private final ListMenuActMSettings menuActList;
    private final ListMenuItMSettings menuItemList;

    public MSettings(GUI g) {
        gui = g;
        menu = new MenuMy(LngMSettings.text(EnUsMSettings.M_SETTINGS.name()),
                ItSettings.M_SETTINGS.name(), gui.getFnt());
        itFontSize = new MenuItMy(ItSettings.IT_FONT_SIZE.name(),
                LngMSettings.text(EnUsMSettings.IT_FONT_SIZE.name())
                + " [" + gui.getFntSize() + "]", gui.getFnt(), menu);
        menu.addSeparator();
        itWidthScale = new MenuItMy(ItSettings.IT_WIDTH_SCALE.name(),
                LngMSettings.text(EnUsMSettings.IT_WIDTH_SCALE.name())
                + " [" + gui.getXSc() + "]", gui.getFnt(), menu);
        itHeightScale = new MenuItMy(ItSettings.IT_HEIGHT_SCALE.name(),
                LngMSettings.text(EnUsMSettings.IT_HEIGHT_SCALE.name())
                + " [" + gui.getYSc() + "]", gui.getFnt(), menu);
        menu.addSeparator();
        chkToolTips = new MenuChkMy(ItSettings.CHK_TOOL_TIPS.name(),
                LngMSettings.text(EnUsMSettings.CHK_TOOL_TIPS.name()),
                gui.getFnt(), menu);
        menu.addSeparator();
        chkAlwaysOnTop = new MenuChkMy(ItSettings.CHK_ALWAYS_ON_TOP.name(),
                LngMSettings.text(EnUsMSettings.CHK_ALWAYS_ON_TOP.name()),
                gui.getFnt(), menu);
        menuActList = new ListMenuActMSettings(gui);
        menuItemList = new ListMenuItMSettings(gui);
    }

    public final void addListeners() {
        itFontSize.addActionListener(menuActList);
        itWidthScale.addActionListener(menuActList);
        itHeightScale.addActionListener(menuActList);
        chkAlwaysOnTop.addItemListener(menuItemList);
        chkToolTips.addItemListener(menuItemList);
    }
}
