 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab;

import name.mgplldz.guimy.ctrls.TabMy;
import name.mgplldz.guimy.ctrls.TabPaneMy;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.tab.digit.TDigit;
import name.mgplldz.oood.gui.tab.image.TImage;
import name.mgplldz.oood.gui.tab.axes.TAxes;

public class TabPane {

    public enum TabPaneEnum {

        TAB_PANE;
    }
    private final GUI gui;
    public final TabPaneMy pane;
    public final TImage tImage;
    public final TAxes tScale;
    public final TDigit tDigit;
    private final ListTabPaneChng tabPaneChngList;
    //private final ListTabsPopMenu tabsPopMenuList;

    public TabPane(GUI g) {
        gui = g;
        tImage = new TImage(gui);
        tScale = new TAxes(gui);
        tDigit = new TDigit(gui);
        pane = new TabPaneMy(TabPaneEnum.TAB_PANE.name(), gui.getFnt(),
                new TabMy[]{tImage.tab, tScale.tab, tDigit.tab});
        tabPaneChngList = new ListTabPaneChng(gui);
        //tabsPopMenuList = new ListTabsPopMenu(popMenu);
    }

    public final void addListeners() {
        pane.addChangeListener(tabPaneChngList);
        //pane.addMouseListener(tabsPopMenuList);
    }
}
