 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.axes;

import name.mgplldz.guimy.ctrls.RadButMy;
import java.awt.event.ActionEvent;
import name.mgplldz.guimy.listeners.RadButActList;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.tab.image.ImgPanel.ImgPanScalePointsEnum;
import name.mgplldz.oood.gui.tab.axes.CtrlTAxes.*;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListRadButActTAxes extends RadButActList {

    private GUI gui;
    private final int DBG_LEV = 3;

    public ListRadButActTAxes(GUI g) {
        gui = g;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        RadButMy radBut = (RadButMy) e.getSource();
        TraceMyStack.print(Thread.currentThread().getStackTrace(),
                radBut.getName(), DBG_LEV);
        CtrlTAxes ctrl =
                CtrlTAxes.valueOf(radBut.getName());
        switch (ctrl) {
            case RB_X_AXIS_P1:
                gui.frame.tabPane.tScale.txtXAxisP1XGraph.onList(true);
                gui.frame.tabPane.tScale.txtXAxisP2XGraph.onList(false);
                gui.frame.tabPane.tScale.txtYAxisP1YGraph.onList(false);
                gui.frame.tabPane.tScale.txtYAxisP2YGraph.onList(false);
                gui.frame.tabPane.tImage.imgPan.setScalePointEnum(ImgPanScalePointsEnum.X_AXIS_P1);
                break;
            case RB_X_AXIS_P2:
                gui.frame.tabPane.tScale.txtXAxisP1XGraph.onList(false);
                gui.frame.tabPane.tScale.txtXAxisP2XGraph.onList(true);
                gui.frame.tabPane.tScale.txtYAxisP1YGraph.onList(false);
                gui.frame.tabPane.tScale.txtYAxisP2YGraph.onList(false);
                gui.frame.tabPane.tImage.imgPan.setScalePointEnum(ImgPanScalePointsEnum.X_AXIS_P2);
                break;
            case RB_Y_AXIS_P1:
                gui.frame.tabPane.tScale.txtXAxisP1XGraph.onList(false);
                gui.frame.tabPane.tScale.txtXAxisP2XGraph.onList(false);
                gui.frame.tabPane.tScale.txtYAxisP1YGraph.onList(true);
                gui.frame.tabPane.tScale.txtYAxisP2YGraph.onList(false);
                gui.frame.tabPane.tImage.imgPan.setScalePointEnum(ImgPanScalePointsEnum.Y_AXIS_P1);
                break;
            case RB_Y_AXIS_P2:
                gui.frame.tabPane.tScale.txtXAxisP1XGraph.onList(false);
                gui.frame.tabPane.tScale.txtXAxisP2XGraph.onList(false);
                gui.frame.tabPane.tScale.txtYAxisP1YGraph.onList(false);
                gui.frame.tabPane.tScale.txtYAxisP2YGraph.onList(true);
                gui.frame.tabPane.tImage.imgPan.setScalePointEnum(
                        ImgPanScalePointsEnum.Y_AXIS_P2);
                break;
            case RB_POLAR_0_0:
                gui.frame.tabPane.tImage.imgPan.setScalePointEnum(
                        ImgPanScalePointsEnum.POLAR_0_0);
                break;
            case RB_POLAR_X_Y:
                gui.frame.tabPane.tImage.imgPan.setScalePointEnum(
                        ImgPanScalePointsEnum.POLAR_X_Y);
                break;
            default:
                break;
        }
    }
}
