 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.axes;

import name.mgplldz.oood.gui.tab.axes.lang.*;
import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JTextField;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.tab.axes.CtrlTAxes.*;
import name.mgplldz.tracemystack.TraceMyStack;

public class TAxes {

    private final GUI gui;
    private final int DGB_LEV = 3;
    /////
    public final TabMy tab;
    public final BrdMy bordXAxis;
    public final BrdMy bordYAxis;
    public final BrdMy bordPolar;
    public final BrdMy bordOptCartes;
    public final BrdMy bordOptPolar;
    /*
     *  Border cartesian system
     */
    /*
     *  X axis
     */
    public final ButtonGroup radButGrpCartes;
    public final RadButMy radButXAxisP1;
    public final RadButMy radButXAxisP2;
    public final LabMy labXAxisX;
    public final LabMy labXAxisY;
    /*
     *  P1
     */
    public TxtFldMy txtXAxisP1XGraph;
    public final TxtFldMy txtXAxisP1YGraph;
    /*
     *  P2
     */
    public final TxtFldMy txtXAxisP2XGraph;
    public final TxtFldMy txtXAxisP2YGraph;
    /*
     *  Y axis
     */
    public final RadButMy radButYAxisP1;
    public final RadButMy radButYAxisP2;
    public final LabMy labYAxisX;
    public final LabMy labYAxisY;
    /*
     *  P1
     */
    public final TxtFldMy txtYAxisP1XGraph;
    public final TxtFldMy txtYAxisP1YGraph;
    /*
     *  P2
     */
    public final TxtFldMy txtYAxisP2XGraph;
    public final TxtFldMy txtYAxisP2YGraph;
    /*
     *  Bordrder polar system
     */
    public final ButtonGroup radButGrpPolar;
    public final RadButMy radButPolar00;
    public final RadButMy radButPolarXY;
    public final LabMy labLength;
    public final LabMy labDegrees;
    public final TxtFldMy txtPolarLength;
    public final TxtFldMy txtPolarDegrees;
    /*
     *  Border scale opt cartes.
     */
    public final ChkBoxMy chkXHorizontal;
    public final ChkBoxMy chkYVertical;
    public final ChkBoxMy chkP1EqualsP1;
    /*
     *  Border scale opt cartes.
     */
    public final ChkBoxMy chkRadiusHorizontal;
    public final ChkBoxMy chkRadiusVertical;
    /*
     * Listeners
     */
    private final ListChkBoxItemTAxes chkBoxItemList;
    private final ListTxtFldMouseTAxes txtFldMouseList;
    private final ListRadButActTAxes radButActList;

    public TAxes(GUI g) {
        TraceMyStack.print(Thread.currentThread().getStackTrace(), "", DGB_LEV);
        gui = g;
        tab = new TabMy(LngTAxes.text(EnUsTAxes.T_AXES.name()), gui.getFnt());
        bordXAxis = new BrdMy(10, 10, 280, 110,
                LngTAxes.text(EnUsTAxes.BRD_X_AXIS.name()),
                CtrlTAxes.BRD_X_AXIS.name(),
                gui.getFntBld(), gui.getXSc(), gui.getYSc());
        bordYAxis = new BrdMy(10, 125, 280, 110,
                LngTAxes.text(EnUsTAxes.BRD_Y_AXIS.name()),
                CtrlTAxes.BRD_Y_AXIS.name(),
                gui.getFntBld(), gui.getXSc(), gui.getYSc());
        bordPolar = new BrdMy(10, 10, 280, 165,
                LngTAxes.text(EnUsTAxes.BRD_POLAR.name()),
                CtrlTAxes.BRD_POLAR.name(),
                gui.getFntBld(), gui.getXSc(), gui.getYSc());
        bordOptCartes = new BrdMy(10, 240, 280, 105,
                LngTAxes.text(EnUsTAxes.BRD_OPT_CARTES.name()),
                CtrlTAxes.BRD_OPT_CARTES.name(),
                gui.getFntBld(), gui.getXSc(), gui.getYSc());
        bordOptPolar = new BrdMy(10, 180, 280, 80,
                LngTAxes.text(EnUsTAxes.BRD_OPT_POLAR.name()),
                CtrlTAxes.BRD_OPT_POLAR.name(),
                gui.getFntBld(), gui.getXSc(), gui.getYSc());
        /*
         *  Border cartesian system
         */

        /*
         *  X axis
         */
        radButGrpCartes = new ButtonGroup();
        radButXAxisP1 = new RadButMy(10, 35, 50, 30,
                LngTAxes.text(EnUsTAxes.RB_X_AXIS_P1.name()),
                gui.getFnt(), bordXAxis,
                CtrlTAxes.RB_X_AXIS_P1.toString(), radButGrpCartes,
                gui.getXSc(), gui.getYSc());
        radButXAxisP2 = new RadButMy(10, 70, 50, 30,
                LngTAxes.text(EnUsTAxes.RB_X_AXIS_P2.name()),
                gui.getFnt(), bordXAxis,
                CtrlTAxes.RB_X_AXIS_P2.toString(), radButGrpCartes,
                gui.getXSc(), gui.getYSc());
        labXAxisX = new LabMy(60, 10, 105, 30,
                LngTAxes.text(EnUsTAxes.LAB_X_AXIS_X.name()),
                gui.getFnt(), CtrlTAxes.LAB_X_AXIS_X.name(),
                bordXAxis, gui.getXSc(), gui.getYSc());
        labXAxisX.setHorizontalAlignment(JLabel.CENTER);
        labXAxisY = new LabMy(165, 10, 105, 30,
                LngTAxes.text(EnUsTAxes.LAB_X_AXIS_Y.name()),
                gui.getFnt(), CtrlTAxes.LAB_X_AXIS_Y.name(),
                bordXAxis, gui.getXSc(), gui.getYSc());
        labXAxisY.setHorizontalAlignment(JLabel.CENTER);
        /*
         *  P1
         */
        txtXAxisP1XGraph = new TxtFldMy(60, 35, 105, 30,
                new Double(0), gui.getFnt(), JTextField.LEFT,
                bordXAxis, gui.COL_WHITE, CtrlTAxes.X_AXIS_P1_X_GRAPH.name(),
                TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        txtXAxisP1YGraph = new TxtFldMy(165, 35, 105, 30,
                new Double(0), gui.getFnt(), JTextField.LEFT,
                bordXAxis, gui.COL_GRAY, CtrlTAxes.X_AXIS_P1_Y_GRAPH.name(),
                !TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        /*
         *  P2
         */
        txtXAxisP2XGraph = new TxtFldMy(60, 70, 105, 30,
                new Double(100), gui.getFnt(), JTextField.LEFT,
                bordXAxis, gui.COL_WHITE, CtrlTAxes.X_AXIS_P2_X_GRAPH.name(),
                TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        txtXAxisP2YGraph = new TxtFldMy(165, 70, 105, 30,
                new Double(0), gui.getFnt(), JTextField.LEFT,
                bordXAxis, gui.COL_GRAY, CtrlTAxes.X_AXIS_P2_Y_GRAPH.name(),
                !TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        tab.add(bordXAxis);
        /*
         *  Y axis
         */
        radButYAxisP1 = new RadButMy(10, 35, 50, 30,
                LngTAxes.text(EnUsTAxes.RB_Y_AXIS_P1.name()),
                gui.getFnt(), bordYAxis,
                CtrlTAxes.RB_Y_AXIS_P1.toString(),
                radButGrpCartes,
                gui.getXSc(), gui.getYSc());
        radButYAxisP2 = new RadButMy(10, 70, 50, 30,
                LngTAxes.text(EnUsTAxes.RB_Y_AXIS_P2.name()),
                gui.getFnt(), bordYAxis,
                CtrlTAxes.RB_Y_AXIS_P2.toString(),
                radButGrpCartes, gui.getXSc(), gui.getYSc());
        labYAxisX = new LabMy(60, 10, 105, 30,
                LngTAxes.text(EnUsTAxes.LAB_Y_AXIS_X.name()),
                gui.getFnt(), CtrlTAxes.LAB_X_AXIS_X.name(),
                bordYAxis, gui.getXSc(), gui.getYSc());
        labYAxisX.setHorizontalAlignment(JLabel.CENTER);
        labYAxisY = new LabMy(165, 10, 105, 30,
                LngTAxes.text(EnUsTAxes.LAB_Y_AXIS_Y.name()),
                gui.getFnt(), CtrlTAxes.LAB_X_AXIS_X.name(),
                bordYAxis, gui.getXSc(), gui.getYSc());
        labYAxisY.setHorizontalAlignment(JLabel.CENTER);
        /*
         *  P1
         */
        txtYAxisP1XGraph = new TxtFldMy(60, 35, 105, 30,
                new Double(0), gui.getFnt(), JTextField.LEFT,
                bordYAxis, gui.COL_GRAY, CtrlTAxes.Y_AXIS_P1_X_GRAPH.name(),
                !TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        txtYAxisP1YGraph = new TxtFldMy(165, 35, 105, 30,
                new Double(0), gui.getFnt(), JTextField.LEFT,
                bordYAxis, gui.COL_WHITE, CtrlTAxes.Y_AXIS_P1_Y_GRAPH.name(),
                TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        /*
         *  P2
         */
        txtYAxisP2XGraph = new TxtFldMy(60, 70, 105, 30,
                new Double(0), gui.getFnt(), JTextField.LEFT,
                bordYAxis, gui.COL_GRAY, CtrlTAxes.Y_AXIS_P2_X_GRAPH.name(),
                !TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        txtYAxisP2YGraph = new TxtFldMy(165, 70, 105, 30,
                new Double(100), gui.getFnt(), JTextField.LEFT,
                bordYAxis, gui.COL_WHITE, CtrlTAxes.Y_AXIS_P2_Y_GRAPH.name(),
                TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        tab.add(bordYAxis);
        /*
         *  Bordrder polar system
         */
        radButGrpPolar = new ButtonGroup();
        radButPolar00 = new RadButMy(10, 25, 180, 30,
                LngTAxes.text(EnUsTAxes.RB_POLAR_0_0.name()),
                gui.getFnt(), bordPolar,
                CtrlTAxes.RB_POLAR_0_0.toString(), radButGrpPolar,
                gui.getXSc(), gui.getYSc());
        radButPolarXY = new RadButMy(10, 55, 180, 30,
                LngTAxes.text(EnUsTAxes.RB_POLAR_X_Y.name()),
                gui.getFnt(), bordPolar,
                CtrlTAxes.RB_POLAR_X_Y.toString(), radButGrpPolar,
                gui.getXSc(), gui.getYSc());
        labLength = new LabMy(15, 90, 80, 30,
                LngTAxes.text(EnUsTAxes.LAB_R_LENGTH.name()),
                gui.getFnt(), CtrlTAxes.LAB_R_LENGTH.name(),
                bordPolar, gui.getXSc(), gui.getYSc());
        labDegrees = new LabMy(15, 125, 80, 30,
                LngTAxes.text(EnUsTAxes.LAB_R_DEGREES.name()),
                gui.getFnt(), CtrlTAxes.LAB_R_DEGREES.name(),
                bordPolar, gui.getXSc(), gui.getYSc());
        txtPolarLength = new TxtFldMy(100, 90, 105, 30,
                new Double(100), gui.getFnt(), JTextField.LEFT,
                bordPolar, gui.COL_WHITE, CtrlTAxes.R_AXIS_LENGTH.name(),
                TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        txtPolarDegrees = new TxtFldMy(100, 125, 105, 30,
                new Double(0.0), gui.getFnt(), JTextField.LEFT,
                bordPolar, gui.COL_WHITE, CtrlTAxes.R_AXIS_DEGREES.name(),
                TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(), gui.getYSc());
        tab.add(bordPolar);
        bordPolar.setVisible(false);
        /*
         *  Border scale OptCartes
         */
        chkXHorizontal = new ChkBoxMy(10, 20, 200, 30,
                LngTAxes.text(EnUsTAxes.CHK_X_HORIZONTAL.name()),
                gui.getFnt(), bordOptCartes,
                CtrlTAxes.CHK_X_HORIZONTAL.name(), gui.getXSc(), gui.getYSc());

        chkYVertical = new ChkBoxMy(10, 45, 200, 30,
                LngTAxes.text(EnUsTAxes.CHK_Y_VERTICAL.name()),
                gui.getFnt(), bordOptCartes,
                CtrlTAxes.CHK_Y_VERTICAL.name(), gui.getXSc(), gui.getYSc());

        chkP1EqualsP1 = new ChkBoxMy(10, 70, 225, 30,
                LngTAxes.text(EnUsTAxes.CHK_P1_EQUALS_P1.name()),
                gui.getFnt(), bordOptCartes,
                CtrlTAxes.CHK_P1_EQUALS_P1.name(), gui.getXSc(), gui.getYSc());
        tab.add(bordOptCartes);
        /*
         *  Border scale OptPolar
         */
        chkRadiusHorizontal = new ChkBoxMy(10, 20, 200, 30,
                LngTAxes.text(
                EnUsTAxes.CHK_RADIUS_HORIZONTAL.name()),
                gui.getFnt(), bordOptPolar,
                CtrlTAxes.CHK_RADIUS_HORIZONTAL.name(), gui.getXSc(), gui.getYSc());
        chkRadiusVertical = new ChkBoxMy(10, 45, 200, 30,
                LngTAxes.text(EnUsTAxes.CHK_RADIUS_VERTICAL.name()),
                gui.getFnt(), bordOptPolar,
                CtrlTAxes.CHK_RADIUS_VERTICAL.name(), gui.getXSc(), gui.getYSc());
        tab.add(bordOptPolar);
        /*
         * Listeners
         */
        chkBoxItemList = new ListChkBoxItemTAxes(gui);
        txtFldMouseList = new ListTxtFldMouseTAxes(gui);
        radButActList = new ListRadButActTAxes(gui);
    }

    public final void addListeners() {
        chkP1EqualsP1.addItemListener(chkBoxItemList);
        chkRadiusHorizontal.addItemListener(chkBoxItemList);
        chkRadiusVertical.addItemListener(chkBoxItemList);
        chkXHorizontal.addItemListener(chkBoxItemList);
        chkYVertical.addItemListener(chkBoxItemList);
        txtXAxisP1XGraph.addMouseListener(txtFldMouseList);
        txtXAxisP1YGraph.addMouseListener(txtFldMouseList);
        txtXAxisP2XGraph.addMouseListener(txtFldMouseList);
        txtXAxisP2YGraph.addMouseListener(txtFldMouseList);
        txtYAxisP1XGraph.addMouseListener(txtFldMouseList);
        txtYAxisP1YGraph.addMouseListener(txtFldMouseList);
        txtYAxisP2XGraph.addMouseListener(txtFldMouseList);
        txtYAxisP2YGraph.addMouseListener(txtFldMouseList);
        txtPolarLength.addMouseListener(txtFldMouseList);
        txtPolarDegrees.addMouseListener(txtFldMouseList);
        radButXAxisP1.addActionListener(radButActList);
        radButXAxisP2.addActionListener(radButActList);
        radButYAxisP1.addActionListener(radButActList);
        radButYAxisP2.addActionListener(radButActList);
        radButPolar00.addActionListener(radButActList);
        radButPolarXY.addActionListener(radButActList);
    }
}
