/* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.axes.lang;

import name.mgplldz.guimy.ctrls.DateFormatEnum;

public enum EnUsTAxes {

    T_AXES("Axes"),
    BRD_X_AXIS("X-axis"),
    BRD_Y_AXIS("Y-axis"),
    BRD_POLAR("Polar"),
    BRD_OPT_CARTES("Options"),
    BRD_OPT_POLAR("Options"),
    RB_X_AXIS_P1("P1"),
    RB_X_AXIS_P2("P2"),
    RB_Y_AXIS_P1("P1"),
    RB_Y_AXIS_P2("P2"),
    RB_POLAR_0_0("P (0,0)"),
    RB_POLAR_X_Y("P (lenght, degrees)"),
    LAB_X_AXIS_X("X"),
    LAB_X_AXIS_X_LOG10("X [Log10]"),
    LAB_X_AXIS_X_TIME("X [Time]"),
    LAB_X_AXIS_X_DATE("X [Date]"),
    LAB_X_AXIS_Y("Y"),
    LAB_X_AXIS_Y_LOG10("Y [Log10]"),
    LAB_Y_AXIS_X("X"),
    LAB_Y_AXIS_X_LOG10("X [Log10]"),
    LAB_Y_AXIS_X_TIME("X [Time]"),
    LAB_Y_AXIS_X_DATE("X [Date]"),
    LAB_Y_AXIS_Y("Y"),
    LAB_Y_AXIS_Y_LOG10("Y [Log10]"),
    LAB_R_DEGREES("Degrees"),
    LAB_R_LENGTH("Length"),
    CHK_X_HORIZONTAL("X-axis horizontal"),
    CHK_Y_VERTICAL("Y-axis vertical"),
    CHK_P1_EQUALS_P1("[X-axis P1] = [Y-axis P1]"),
    CHK_RADIUS_HORIZONTAL("Radius horizontal"),
    CHK_RADIUS_VERTICAL("Radius vertical"),
    MSG_POLAR_DEGREES("Polar, radius degrees:"),
    MSG_POLAR_LENGTH("Polar, radius length"),
    /////
    MSG_CARTES_X_TIME("["
    + DateFormatEnum.HHMMSS.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    /////
    MSG_CARTES_X_DATE("["
    + DateFormatEnum.YYYYMMDD.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    /////
    MSG_CARTES_X_AXIS_P1_X("X-axis/P1/X:"),
    MSG_CARTES_X_AXIS_P1_Y("X-axis/P1/Y:"),
    MSG_CARTES_X_AXIS_P2_X("X-axis/P2/X:"),
    MSG_CARTES_X_AXIS_P2_Y("X-axis/P2/Y:"),
    MSG_CARTES_Y_AXIS_P1_X("Y-axis/P1/X:"),
    MSG_CARTES_Y_AXIS_P1_Y("Y-axis/P1/Y:"),
    MSG_CARTES_Y_AXIS_P2_X("Y-axis/P2/X:"),
    MSG_CARTES_Y_AXIS_P2_Y("Y-axis/P2/Y:"),
    MSG_INVALID_DATE_FORMAT("Invalid date format."),
    MSG_INVALID_TIME_FORMAT("Invalid time format."),
    MSG_LOG_10_GREATER_ZERO("For [Log10] option values must be > 0");
    private String txt;

    EnUsTAxes(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
