/* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.axes.lang;

import name.mgplldz.guimy.ctrls.DateFormatEnum;

public enum FrFrTAxes {

    T_AXES("Axes"),
    BRD_X_AXIS("Axe X"),
    BRD_Y_AXIS("Axe Y"),
    BRD_POLAR("Polaire"),
    BRD_OPT_CARTES("Options"),
    BRD_OPT_POLAR("Options"),
    RB_X_AXIS_P1("P1"),
    RB_X_AXIS_P2("P2"),
    RB_Y_AXIS_P1("P1"),
    RB_Y_AXIS_P2("P2"),
    RB_POLAR_0_0("P (0,0)"),
    RB_POLAR_X_Y("P (rayon, angle)"),
    LAB_X_AXIS_X("X"),
    LAB_X_AXIS_X_LOG10("X [Log10]"),
    LAB_X_AXIS_X_TIME("X [Heure]"),
    LAB_X_AXIS_X_DATE("X [Date]"),
    LAB_X_AXIS_Y("Y"),
    LAB_X_AXIS_Y_LOG10("Y [Log10]"),
    LAB_Y_AXIS_X("X"),
    LAB_Y_AXIS_X_LOG10("X [Log10]"),
    LAB_Y_AXIS_X_TIME("X [Heure]"),
    LAB_Y_AXIS_X_DATE("X [Date]"),
    LAB_Y_AXIS_Y("Y"),
    LAB_Y_AXIS_Y_LOG10("Y [Log10]"),
    LAB_R_DEGREES("Degrés"),
    LAB_R_LENGTH("Rayon"),
    CHK_X_HORIZONTAL("Axe X horizontal"),
    CHK_Y_VERTICAL("Axe Y vertical"),
    CHK_P1_EQUALS_P1("[Axe X P1] = [Axe Y P1]"),
    CHK_RADIUS_HORIZONTAL("Rayon horizontal"),
    CHK_RADIUS_VERTICAL("Rayon vertical"),
    MSG_POLAR_DEGREES("Polaire, angle (degrés) :"),
    MSG_POLAR_LENGTH("Polaire, rayon"),
    /////
    MSG_CARTES_X_TIME("["
    + DateFormatEnum.HHMMSS.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    /////
    MSG_CARTES_X_DATE("["
    + DateFormatEnum.YYYYMMDD.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    /////
    MSG_CARTES_X_AXIS_P1_X("Axe X/P1/X:"),
    MSG_CARTES_X_AXIS_P1_Y("Axe X/P1/Y:"),
    MSG_CARTES_X_AXIS_P2_X("Axe X/P2/X:"),
    MSG_CARTES_X_AXIS_P2_Y("Axe X/P2/Y:"),
    MSG_CARTES_Y_AXIS_P1_X("Axe Y/P1/X:"),
    MSG_CARTES_Y_AXIS_P1_Y("Axe Y/P1/Y:"),
    MSG_CARTES_Y_AXIS_P2_X("Axe Y/P2/X:"),
    MSG_CARTES_Y_AXIS_P2_Y("Axe Y/P2/Y:"),
    MSG_INVALID_DATE_FORMAT("Format de date invalide."),
    MSG_INVALID_TIME_FORMAT("Format d'heure invalide."),
    MSG_LOG_10_GREATER_ZERO("Avec l'option Log10 les valeurs doivent être > 0");
    private String txt;

    FrFrTAxes(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
