/* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.axes.lang;

import name.mgplldz.guimy.ctrls.DateFormatEnum;

public enum PlPlTAxes {

    T_AXES("Osie"),
    BRD_X_AXIS("Oś X"),
    BRD_Y_AXIS("Oś Y"),
    BRD_POLAR("Palrny"),
    BRD_OPT_CARTES("Opcje"),
    BRD_OPT_POLAR("Opcje"),
    RB_X_AXIS_P1("P1"),
    RB_X_AXIS_P2("P2"),
    RB_Y_AXIS_P1("P1"),
    RB_Y_AXIS_P2("P2"),
    RB_POLAR_0_0("P (0,0)"),
    RB_POLAR_X_Y("P (długość, stopnie)"),
    LAB_X_AXIS_X("X"),
    LAB_X_AXIS_X_LOG10("X [Log10]"),
    LAB_X_AXIS_X_TIME("X [Czas]"),
    LAB_X_AXIS_X_DATE("X [Data]"),
    LAB_X_AXIS_Y("Y"),
    LAB_X_AXIS_Y_LOG10("Y [Log10]"),
    LAB_Y_AXIS_X("X"),
    LAB_Y_AXIS_X_LOG10("X [Log10]"),
    LAB_Y_AXIS_X_TIME("X [Czas]"),
    LAB_Y_AXIS_X_DATE("X [Data]"),
    LAB_Y_AXIS_Y("Y"),
    LAB_Y_AXIS_Y_LOG10("Y [Log10]"),
    LAB_R_DEGREES("Stopnie"),
    LAB_R_LENGTH("Długość"),
    CHK_X_HORIZONTAL("Oś X poziomo"),
    CHK_Y_VERTICAL("Oś Y pionowo"),
    CHK_P1_EQUALS_P1("[Oś X/P1] = [Oś Y/P1]"),
    CHK_RADIUS_HORIZONTAL("Promień poziomo"),
    CHK_RADIUS_VERTICAL("Promień pionowo"),
    MSG_POLAR_DEGREES("Polarny, kąt, stopnie:"),
    MSG_POLAR_LENGTH("Polarny, długość promienia:"),
    /////
    MSG_CARTES_X_TIME("["
    + DateFormatEnum.HHMMSS.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    /////
    MSG_CARTES_X_DATE("["
    + DateFormatEnum.YYYYMMDD.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    /////
    MSG_CARTES_X_AXIS_P1_X("Oś X/P1/X:"),
    MSG_CARTES_X_AXIS_P1_Y("Oś X/P1/Y:"),
    MSG_CARTES_X_AXIS_P2_X("Oś X/P2/X:"),
    MSG_CARTES_X_AXIS_P2_Y("Oś X/P2/Y:"),
    MSG_CARTES_Y_AXIS_P1_X("Oś Y/P1/X:"),
    MSG_CARTES_Y_AXIS_P1_Y("Oś Y/P1/Y:"),
    MSG_CARTES_Y_AXIS_P2_X("Oś Y/P2/X:"),
    MSG_CARTES_Y_AXIS_P2_Y("Oś Y/P2/Y:"),
    MSG_INVALID_DATE_FORMAT("Zły format daty."),
    MSG_INVALID_TIME_FORMAT("Zły format czasu."),
    MSG_LOG_10_GREATER_ZERO("W przypadku opcji [Log10] wartości muszą być > 0");
    private String txt;

    PlPlTAxes(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
