 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.digit;

import java.awt.event.ActionEvent;
import name.mgplldz.guimy.listeners.ButAction;
import name.mgplldz.guimy.ctrls.ButMy;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListButActionTDigit extends ButAction {

    private GUI gui;
    private boolean doClickFl = false;
    private final int DBG_LEV = 3;

    public ListButActionTDigit(boolean click, GUI g) {
        gui = g;
        doClickFl = click;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        ButMy but = (ButMy) e.getSource();
        if (doClickFl) {
            but.doClick();
            return;
        }
        String butName = but.getName();
        TraceMyStack.print(Thread.currentThread().getStackTrace(), butName, DBG_LEV);
        CtrlTDigit ctrl = CtrlTDigit.valueOf(butName);
        switch (ctrl) {
            case BUT_NEXT_PT:
                gui.frame.tabPane.tDigit.table.selectNextPrevRow(1);
                gui.frame.tabPane.tImage.imgPan.setSelPointIdx(
                        gui.frame.tabPane.tDigit.table.getSelectedRow());
                gui.frame.tabPane.tDigit.txtPtsNb.setValue(
                        (gui.frame.tabPane.tImage.imgPan.getSelPointIdx() + 1)
                        + "/"
                        + gui.frame.tabPane.tImage.imgPan.getSeriesBox().getPointsCount(
                        gui.frame.tabPane.tImage.imgPan.getSelectedSerieIdx()));
                break;
            case BUT_PREV_PT:
                gui.frame.tabPane.tDigit.table.selectNextPrevRow(-1);
                gui.frame.tabPane.tImage.imgPan.setSelPointIdx(
                        gui.frame.tabPane.tDigit.table.getSelectedRow());
                gui.frame.tabPane.tDigit.txtPtsNb.setValue(
                        (gui.frame.tabPane.tImage.imgPan.getSelPointIdx() + 1)
                        + "/"
                        + gui.frame.tabPane.tImage.imgPan.getSeriesBox().getPointsCount(
                        gui.frame.tabPane.tImage.imgPan.getSelectedSerieIdx()));
                break;
            default:
                TraceMyStack.print(Thread.currentThread().getStackTrace(),
                        "Wrong button.", DBG_LEV);
                break;
        }
    }
}
