 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.digit;

import java.awt.event.ActionEvent;
import name.mgplldz.guimy.listeners.CmbActList;
import name.mgplldz.oood.gui.CmbMyImpl;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.tab.image.ImgPanel.ImgPanelNoSeriesException;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListCmbActTDigit extends CmbActList {

    private final GUI gui;
    private final int DBG_LEV = 3;

    public ListCmbActTDigit(GUI g) {
        gui = g;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        CmbMyImpl combo = (CmbMyImpl) e.getSource();
        int selIdx = combo.getSelectedIndex();
        String msg = combo.getName() + " selected index [" + selIdx + "]";
        TraceMyStack.print(Thread.currentThread().getStackTrace(), msg, DBG_LEV);
        CtrlTDigit ctrl = CtrlTDigit.valueOf(combo.getName());
        if (combo.getIgnoreActListIdx()) {
            TraceMyStack.print(Thread.currentThread().getStackTrace(),
                    combo.getName() + " ignored action.", DBG_LEV);
            return;
        }
        switch (ctrl) {
            case CMB_SERIES:
                loadSerie(selIdx);
                break;
            default:
                break;
        }
    }

    void loadSerie(int selIdx) {
        gui.frame.tabPane.tImage.imgPan.setSelectedSeriesIdx(selIdx);
        gui.frame.tabPane.tDigit.table.setColumnName(
                0, gui.frame.tabPane.tImage.imgPan.getSeriesBox().getXName(selIdx));
        gui.frame.tabPane.tDigit.table.setColumnName(
                1, gui.frame.tabPane.tImage.imgPan.getSeriesBox().getYName(selIdx));
        try {
            gui.frame.tabPane.tDigit.table.loadSerieIntoTable(
                    gui.frame.tabPane.tImage.imgPan.getSelectedSeriesGrph());
        } catch (ImgPanelNoSeriesException ex) {
            TraceMyStack.print(ex.getStackTrace(), ex.getMessage(), DBG_LEV);
        }
        gui.frame.tabPane.tImage.imgPan.repaint();
    }
}
