 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.digit;

import name.mgplldz.oood.gui.TableMy;
import javax.swing.JComponent;
import javax.swing.JTextField;
import javax.swing.ScrollPaneConstants;
import javax.swing.ToolTipManager;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.CmbMyImpl;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.tab.digit.lang.*;
import name.mgplldz.tracemystack.TraceMyStack;

public class TDigit {

    private final GUI gui;
    public final BrdMy bordPoints;
    public final LabMy labSeries;
    public final CmbMy comboSeries;
    public final TableMy table;
    public final TxtFldMy txtPtsNb;
    public final ButMy butNextPt;
    public final ButMy butPrevPt;
    public final TabMy tab;
    /////
    private final ListButActionTDigit butActClick;
    private final ListButActionTDigit butActDontClick;
    private final ListCmbActTDigit comboActList;
    private final ListTableSelectTDigit tableSelectList;
    /////
    private final int DGB_LEV = 3;

    public TDigit(GUI g) {
        gui = g;
        tab = new TabMy(LngTDigit.text(EnUsTDigit.T_DIGIT.name()),
                gui.getFnt());
        bordPoints = new BrdMy(10, 10, 280, 345,
                LngTDigit.text(EnUsTDigit.BRD_POINTS.name()),
                CtrlTDigit.BRD_POINTS.name(),
                gui.getFntBld(), gui.getXSc(), gui.getYSc());
        labSeries = new LabMy(30, 20, 80, 30,
                LngTDigit.text(EnUsTDigit.LAB_SERIES.name()),
                gui.getFnt(), CtrlTDigit.LAB_SERIES.name(),
                bordPoints, gui.getXSc(), gui.getYSc());
        comboSeries = new CmbMyImpl(110, 20, 150, 30, new String[]{},
                gui.getFnt(), bordPoints,
                CtrlTDigit.CMB_SERIES.name(), gui.frame.frm,
                gui.getXSc(), gui.getYSc());
        table = new TableMy(10, 55, 250, 245,
                CtrlTDigit.TABLE_POINTS.name(), gui.getFnt(),
                gui.getXSc(), gui.getYSc());
        table.getScrollPane().setVerticalScrollBarPolicy(
                ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
        txtPtsNb = new TxtFldMy(10, 305, 80, 30,
                "0/0", gui.getFnt(), JTextField.CENTER,
                bordPoints, gui.COL_WHITE,
                CtrlTDigit.TXT_PTS_NB.name(),
                !TxtFldMy.EDITABLE, !TxtFldMy.FOCUSABLE, gui.getXSc(),
                gui.getYSc());
        butNextPt = new ButMy(100, 305, 60, 30,
                LngTDigit.text(EnUsTDigit.BUT_NEXT_PT.name()),
                gui.getFnt(), bordPoints, CtrlTDigit.BUT_NEXT_PT.name(),
                gui.margZero, gui.getXSc(), gui.getYSc());
        butPrevPt = new ButMy(165, 305, 60, 30,
                LngTDigit.text(EnUsTDigit.BUT_PREV_PT.name()),
                gui.getFnt(), bordPoints, CtrlTDigit.BUT_PREV_PT.name(),
                gui.margZero, gui.getXSc(), gui.getYSc());
        bordPoints.add(table.getScrollPane());
        tab.add(bordPoints);
        butActClick =
                new name.mgplldz.oood.gui.tab.digit.ListButActionTDigit(true, gui);
        butActDontClick =
                new name.mgplldz.oood.gui.tab.digit.ListButActionTDigit(false, gui);
        comboActList =
                new name.mgplldz.oood.gui.tab.digit.ListCmbActTDigit(gui);
        tableSelectList =
                new name.mgplldz.oood.gui.tab.digit.ListTableSelectTDigit(gui);
    }

    public void addListeners() {
        TraceMyStack.print(Thread.currentThread().getStackTrace(), "",
                DGB_LEV);
        butNextPt.setAction("PAGE_DOWN", butNextPt.getName(),
                JComponent.WHEN_IN_FOCUSED_WINDOW, butActClick);
        butPrevPt.setAction("PAGE_UP", butPrevPt.getName(),
                JComponent.WHEN_IN_FOCUSED_WINDOW, butActClick);
        butPrevPt.addActionListener(butActDontClick);
        butNextPt.addActionListener(butActDontClick);
        comboSeries.addActionListener(comboActList);
        table.getSelectionModel().addListSelectionListener(tableSelectList);
    }

    public void addToolTips() {
        butPrevPt.setToolTipText(LngTDigit.text(EnUsTDigit.TIP_NEXT_PREV_BUTTONS.name()));
        butNextPt.setToolTipText(LngTDigit.text(EnUsTDigit.TIP_NEXT_PREV_BUTTONS.name()));
    }

    public void toolTipsShow(boolean showFl) {
        TraceMyStack.print(Thread.currentThread().getStackTrace(), "", DGB_LEV);
        if (showFl) {
            ToolTipManager.sharedInstance().registerComponent(butPrevPt);
            ToolTipManager.sharedInstance().registerComponent(butNextPt);
        } else {
            ToolTipManager.sharedInstance().unregisterComponent(butPrevPt);
            ToolTipManager.sharedInstance().unregisterComponent(butNextPt);
        }
    }
}
