 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.image;

import name.mgplldz.guimy.ctrls.MsgBox;
import java.awt.event.ItemEvent;
import javax.swing.JOptionPane;
import name.mgplldz.guimy.ctrls.ChkBoxMy;
import name.mgplldz.guimy.listeners.ChkBoxItemList;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.GUI.OOoDException;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListChkBoxItemTImage extends ChkBoxItemList {

    private final GUI gui;
    private final int DBG_LEV = 3;

    public ListChkBoxItemTImage(GUI g) {
        gui = g;
    }

    @Override
    public void itemStateChanged(ItemEvent ev) {
        ChkBoxMy chkBox = (ChkBoxMy) ev.getSource();
        TraceMyStack.print(Thread.currentThread().getStackTrace(), chkBox.getName(),
                DBG_LEV);
        if (chkBox.getIgnoreItemListIdx()) {
            TraceMyStack.print(Thread.currentThread().getStackTrace(), chkBox.getName()
                    + ": ignores item listener.", DBG_LEV);
            return;
        }
        boolean selectedFl =
                (ev.getStateChange() == ItemEvent.SELECTED) ? true : false;
        CtrlTImage ctrl = CtrlTImage.valueOf(chkBox.getName());
        switch (ctrl) {
            case CHK_SCALE_IMG:
                gui.frame.menuBar.menuDraw.chkDrawImage.setSelected(true);
                gui.frame.tabPane.tImage.txtScaleImg.onListAndON(selectedFl);
                if (selectedFl) {
                    imgScale((Double) gui.frame.tabPane.tImage.txtScaleImg.getValue());
                } else {
                    imgScale(1.0);
                }
                break;
            case CHK_ROTATE_IMG:
                gui.frame.menuBar.menuDraw.chkDrawImage.setSelected(true);
                gui.frame.tabPane.tImage.txtRotateImg.onListAndON(selectedFl);
                if (selectedFl) {
                    imgRotateDegrees((Double) gui.frame.tabPane.tImage.txtRotateImg.getValue());
                } else {
                    imgRotateDegrees(0.0);
                }
                break;
            default:
                TraceMyStack.print(Thread.currentThread().getStackTrace(),
                        "Wrong check-box.", DBG_LEV);
                break;
        }
    }
    /*
     *  Private
     */

    private void imgScale(Double scale) {
        try {
            gui.frame.tabPane.tImage.imgPan.setImageScale(scale);
        } catch (OOoDException ex) {
            TraceMyStack.print(ex.getStackTrace(), ex.getMessage(), DBG_LEV);
            MsgBox.msgPlainTh(ex.getMessage(), gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        }
    }

    private void imgRotateDegrees(Double degs) {
        try {
            gui.frame.tabPane.tImage.imgPan.setImageRotateDegrees(degs);
        } catch (OOoDException ex) {
            TraceMyStack.print(ex.getStackTrace(), ex.getMessage(), DBG_LEV);
            MsgBox.msgPlainTh(ex.getMessage(), gui.frame.frm,
                    JOptionPane.INFORMATION_MESSAGE);
        }
    }
}
