 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.image;

import name.mgplldz.guimy.ctrls.DateFormatEnum;
import name.mgplldz.guimy.ctrls.MsgBox;
import java.awt.Point;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.geom.Point2D;
import java.text.ParseException;
import javax.swing.JOptionPane;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.tab.image.lang.EnUsTImage;
import name.mgplldz.oood.gui.tab.image.lang.LngTImage;
import name.mgplldz.oood.scale.Scale.ScaleLogException;
import name.mgplldz.tracemystack.TraceMyStack;

class ListImgPanMouseTImage implements MouseListener {

    private GUI gui;
    private final int DBG_LEV = 3;

    ListImgPanMouseTImage(GUI g) {
        gui = g;
    }

    public void mouseClicked(MouseEvent e) {
        if (gui.frame.tabPane.tImage.imgPan.getInterpFl()) {
            MsgBox.msgPlainTh(LngTImage.text(
                    EnUsTImage.MSG_INTERPOLATION_MERGE_DISCARD.name()),
                    gui.frame.frm, JOptionPane.INFORMATION_MESSAGE);
            return;
        }
        int tabIdx = gui.frame.tabPane.pane.getSelectedIndex();
        int x = e.getX();
        int y = e.getY();
        switch (tabIdx) {
            case 0:
                if (gui.frame.tabPane.tImage.radButCropImageP1.isSelected()) {
                    gui.frame.tabPane.tImage.imgPan.getCropPointP1().setLocation(x, y);
                } else if (gui.frame.tabPane.tImage.radButCropImageP2.isSelected()) {
                    gui.frame.tabPane.tImage.imgPan.getCropPointP2().setLocation(x, y);
                }
                gui.frame.tabPane.tImage.imgPan.repaint();
                break;
            case 1:
                /*
                 *  Cartesian
                 */
                if (gui.frame.menuBar.menuScale.rbCartesian.isSelected()) {
                    if (gui.frame.tabPane.tScale.radButXAxisP1.isSelected()) {
                        gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().setLocation(x, y);
                        if (gui.frame.tabPane.tScale.chkXHorizontal.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().y = gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().y;
                        }
                        if (gui.frame.tabPane.tScale.chkP1EqualsP1.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().setYAxisP1Scr(gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr());
                            if (gui.frame.tabPane.tScale.chkYVertical.isSelected()) {
                                gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP2Scr().x = gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP1Scr().x;
                            }
                        }
                        break;
                    }
                    if (gui.frame.tabPane.tScale.radButXAxisP2.isSelected()) {
                        gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().setLocation(x, y);
                        if (gui.frame.tabPane.tScale.chkXHorizontal.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().y = gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().y;
                        }
                        if (gui.frame.tabPane.tScale.chkP1EqualsP1.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().setYAxisP1Scr(gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr());
                            if (gui.frame.tabPane.tScale.chkYVertical.isSelected()) {
                                gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP2Scr().x = gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP1Scr().x;
                            }
                        }
                        break;
                    }
                    if (gui.frame.tabPane.tScale.radButYAxisP1.isSelected()) {
                        gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP1Scr().setLocation(x, y);
                        if (gui.frame.tabPane.tScale.chkYVertical.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP2Scr().x =
                                    gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP1Scr().x;
                        }
                        if (gui.frame.tabPane.tScale.chkP1EqualsP1.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().setXAxisP1Scr(
                                    gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP1Scr());
                            if (gui.frame.tabPane.tScale.chkXHorizontal.isSelected()) {
                                gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().y =
                                        gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().y;
                            }
                        }
                        break;
                    }
                    if (gui.frame.tabPane.tScale.radButYAxisP2.isSelected()) {
                        gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP2Scr().setLocation(x, y);
                        if (gui.frame.tabPane.tScale.chkYVertical.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP1Scr().x =
                                    gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP2Scr().x;
                        }
                        if (gui.frame.tabPane.tScale.chkP1EqualsP1.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().setXAxisP1Scr(
                                    gui.frame.tabPane.tImage.imgPan.getScale().getYAxisP1Scr());
                            if (gui.frame.tabPane.tScale.chkXHorizontal.isSelected()) {
                                gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().y =
                                        gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().y;
                            }
                        }
                        break;
                    }
                }
                /*
                 *  Polar
                 */
                if (gui.frame.menuBar.menuScale.rbPolar.isSelected()) {
                    if (gui.frame.tabPane.tScale.radButPolar00.isSelected()) {
                        gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().setLocation(x, y);
                        if (gui.frame.tabPane.tScale.chkRadiusHorizontal.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().y = gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().y;
                        }
                        if (gui.frame.tabPane.tScale.chkRadiusVertical.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().x = gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().x;
                        }
                        break;
                    }
                    if (gui.frame.tabPane.tScale.radButPolarXY.isSelected()) {
                        gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().setLocation(x, y);
                        if (gui.frame.tabPane.tScale.chkRadiusHorizontal.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().y = gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().y;
                        }
                        if (gui.frame.tabPane.tScale.chkRadiusVertical.isSelected()) {
                            gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP1Scr().x = gui.frame.tabPane.tImage.imgPan.getScale().getXAxisP2Scr().x;
                        }
                        break;
                    }
                }
                break;
            case 2:
                if (gui.frame.tabPane.tImage.imgPan.getSeriesBox().getSeriesCount()
                        <= 0) {
                    MsgBox.msgPlainTh(LngTImage.text(
                            EnUsTImage.MSG_CREATE_FIRST_SERIES.name()),
                            gui.frame.frm, JOptionPane.INFORMATION_MESSAGE);
                } else {
                    Point2D ptGrph = gui.frame.tabPane.tImage.imgPan.getScale().
                            scr2Grph(new Point(x, y));
                    int addedIdx = gui.frame.tabPane.tImage.imgPan.getSeriesBox().
                            insertPoint(
                            gui.frame.tabPane.tImage.imgPan.getSelectedSerieIdx(),
                            x, y, ptGrph.getX(), ptGrph.getY());
                    String outStr = null;
                    DateFormatEnum dFEnu = gui.frame.tabPane.tDigit.table.getDateFrmtEnu();
                    switch (gui.frame.tabPane.tImage.imgPan.getScale().getXScaleTypeEnum()) {
                        case PLAIN:
                        case LOG10:
                            outStr = String.format(
                                    gui.frame.tabPane.tDigit.table.getFormatString(),
                                    ptGrph.getX());
                            break;
                        case TIME:
                        case DATE:
                            switch (dFEnu) {
                                case HHMMSS:
                                case YYYYMMDD:
                                    try {
                                        outStr = DateFormatEnum.formatDateTime(
                                                (long) ptGrph.getX(), dFEnu);
                                    } catch (ParseException ex) {
                                        TraceMyStack.print(ex.getStackTrace(),
                                                ex.getMessage(), DBG_LEV);
                                    }
                                    break;
                                default:
                                    break;
                            }
                            break;
                        default:
                            break;
                    }
                    gui.frame.tabPane.tDigit.table.insertRow2(addedIdx,
                            new Object[]{outStr, String.format(
                                gui.frame.tabPane.tDigit.table.getFormatString(),
                                ptGrph.getY())});
                    gui.frame.tabPane.tDigit.txtPtsNb.setValue(
                            (gui.frame.tabPane.tImage.imgPan.getSelPointIdx() + 1)
                            + "/"
                            + gui.frame.tabPane.tImage.imgPan.getSeriesBox().getPointsCount(
                            gui.frame.tabPane.tImage.imgPan.getSelectedSerieIdx()));
                }
                break;
        }
        if (gui.frame.menuBar.menuScale.rbCartesian.isSelected()) {
            try {
                gui.setScaleGrph();
            } catch (ScaleLogException ex) {
                TraceMyStack.print(ex.getStackTrace(), ex.getMessage(), DBG_LEV);
            }
        }
        gui.frame.tabPane.tImage.imgPan.repaint();
    }

    public void mousePressed(MouseEvent e) {
    }

    public void mouseReleased(MouseEvent e) {
    }

    public void mouseEntered(MouseEvent e) {
    }

    public void mouseExited(MouseEvent e) {
    }
}
