 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.image;

import name.mgplldz.guimy.ctrls.RadButMy;
import java.awt.event.ActionEvent;
import name.mgplldz.guimy.listeners.RadButActList;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.tab.image.ImgPanel.ImgPanCropPointsEnum;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListRadButActTImage extends RadButActList {

    private GUI gui;
    private final int DBG_LEV = 3;

    public ListRadButActTImage(GUI g) {
        gui = g;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        RadButMy radBut = (RadButMy) e.getSource();
        TraceMyStack.print(Thread.currentThread().getStackTrace(),
                radBut.getName(), DBG_LEV);
        CtrlTImage ctrl =
                CtrlTImage.valueOf(radBut.getName());
        switch (ctrl) {
            case RB_CROP_IMAGE_P1:
                gui.frame.tabPane.tImage.imgPan.setCropPointEnum(
                        ImgPanCropPointsEnum.CROP_IMG_P1);
                break;
            case RB_CROP_IMAGE_P2:
                gui.frame.tabPane.tImage.imgPan.setCropPointEnum(
                        ImgPanCropPointsEnum.CROP_IMG_P2);
                break;
            default:
                break;
        }
    }
}
