/* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.lang;

public class Lng {

    private static LangEnum langEnu = LangEnum.en_US;

    public enum LangEnum {

        en_US("en_EN"),
        fr_FR("fr_FR"),
        pl_PL("pl_PL");
        private String lang;

        LangEnum(String l) {
            lang = l;
        }

        public String getStr() {
            return lang;
        }
    }

    public static String text(String name) {
        String txt = null;
        try {
            switch (langEnu) {
                case en_US:
                    txt = EnUs.valueOf(name).text();
                    break;
                case pl_PL:
                    txt = PlPl.valueOf(name).text();
                    break;
                case fr_FR:
                    txt = FrFr.valueOf(name).text();
                    break;
                default:
                    break;
            }
            if (txt == null) {
                txt = EnUs.valueOf(name).text();
            } else if (txt.isEmpty()) {
                txt = EnUs.valueOf(name).text();
            }
        } catch (java.lang.IllegalArgumentException ignore) {
            txt = "???";
        }
        return txt;
    }

    public static void setLangEnu(LangEnum lE) {
        langEnu = lE;
    }

    public static LangEnum getLangEnu() {
        return langEnu;
    }
}
