 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.ooohelp;

import com.sun.star.beans.PropertyVetoException;
import com.sun.star.beans.UnknownPropertyException;
import com.sun.star.beans.XPropertySet;
import com.sun.star.lang.IllegalArgumentException;
import com.sun.star.lang.WrappedTargetException;
import com.sun.star.table.XCellRange;
import com.sun.star.uno.UnoRuntime;
import com.sun.star.uno.XComponentContext;
import java.util.logging.Level;
import java.util.logging.Logger;

public class CellHelp {

    private XComponentContext context;

    public CellHelp(XComponentContext cntx) {
        context = cntx;
    }

    public void formatCharColor(XCellRange rng, int col) {
        try {
            com.sun.star.beans.XPropertySet xPropSet =
                    (XPropertySet) UnoRuntime.queryInterface(
                    com.sun.star.beans.XPropertySet.class, rng);
            xPropSet.setPropertyValue("CharColor", col);
        } catch (UnknownPropertyException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (PropertyVetoException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IllegalArgumentException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (WrappedTargetException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    public void formatCharHeight(XCellRange rng, float h) {
        try {
            com.sun.star.beans.XPropertySet xPropSet =
                    (XPropertySet) UnoRuntime.queryInterface(
                    com.sun.star.beans.XPropertySet.class, rng);
            xPropSet.setPropertyValue("CharHeight", h);
        } catch (UnknownPropertyException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (PropertyVetoException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IllegalArgumentException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (WrappedTargetException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    public void formatParaLeftMargin(XCellRange rng, int marg) {
        try {
            com.sun.star.beans.XPropertySet xPropSet =
                    (XPropertySet) UnoRuntime.queryInterface(
                    com.sun.star.beans.XPropertySet.class, rng);
            xPropSet.setPropertyValue("ParaLeftMargin", marg);
        } catch (UnknownPropertyException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (PropertyVetoException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IllegalArgumentException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (WrappedTargetException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    public void formatCellBackColor(XCellRange rng, int col) {
        try {
            com.sun.star.beans.XPropertySet xPropSet =
                    (XPropertySet) UnoRuntime.queryInterface(
                    com.sun.star.beans.XPropertySet.class, rng);
            xPropSet.setPropertyValue("CellBackColor", col);
        } catch (UnknownPropertyException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (PropertyVetoException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IllegalArgumentException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (WrappedTargetException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    public void formatIsCellBackgrndTranspar(XCellRange rng, boolean itis) {
        try {
            com.sun.star.beans.XPropertySet xPropSet =
                    (XPropertySet) UnoRuntime.queryInterface(
                    com.sun.star.beans.XPropertySet.class, rng);
            xPropSet.setPropertyValue("IsCellBackgroundTransparent", itis);
        } catch (UnknownPropertyException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (PropertyVetoException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IllegalArgumentException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        } catch (WrappedTargetException ex) {
            Logger.getLogger(CellHelp.class.getName()).log(Level.SEVERE, null, ex);
        }

    }
}
