 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2011 by:
 *    Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.tracemystack;

public class TraceMyStack {

    public static void print(StackTraceElement stTrArr[], String msg, int dbgLvl) {
        int level = dbgLvl + 1;
        if (stTrArr == null) {
            System.out.println("* * * StackTrace.print() problem * * *");
            return;
        }
        int rows = stTrArr.length;
        if (rows > 1) {
            msg = stTrArr[1].getMethodName() + ": " + msg;
        } else {
            msg = stTrArr[0].getMethodName() + ": " + msg;
        }
        System.out.println(msg);
        rows = (rows < level) ? rows : level;
        StringBuilder dots = new StringBuilder();
        for (int i = 1; i < rows; ++i) {
            if (stTrArr[i].toString().startsWith("name.mgplldz.")) {
                dots.append(".");
                System.out.println(dots + stTrArr[i].toString());
            }
        }
    }
}
